/* layouts.c generated by valac 0.40.19, the Vala compiler
 * generated from layouts.vala, do not modify */

/*
* Layouts
* Author: David Mohammed
* Copyright © 2020-2021 Ubuntu Budgie Developers
* Website=https://ubuntubudgie.org
* This program is free software: you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the Free
* Software Foundation, either version 3 of the License, or any later version.
* This program is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
* more details. You should have received a copy of the GNU General Public
* License along with this program.  If not, see
* <https://www.gnu.org/licenses/>.
*/


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gstdio.h>
#include <gio/gio.h>


#define LAYOUTS_TYPE_LAYOUTS_MANAGER (layouts_layouts_manager_get_type ())
#define LAYOUTS_LAYOUTS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), LAYOUTS_TYPE_LAYOUTS_MANAGER, LayoutsLayoutsManager))
#define LAYOUTS_LAYOUTS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), LAYOUTS_TYPE_LAYOUTS_MANAGER, LayoutsLayoutsManagerClass))
#define LAYOUTS_IS_LAYOUTS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), LAYOUTS_TYPE_LAYOUTS_MANAGER))
#define LAYOUTS_IS_LAYOUTS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), LAYOUTS_TYPE_LAYOUTS_MANAGER))
#define LAYOUTS_LAYOUTS_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), LAYOUTS_TYPE_LAYOUTS_MANAGER, LayoutsLayoutsManagerClass))

typedef struct _LayoutsLayoutsManager LayoutsLayoutsManager;
typedef struct _LayoutsLayoutsManagerClass LayoutsLayoutsManagerClass;
typedef struct _LayoutsLayoutsManagerPrivate LayoutsLayoutsManagerPrivate;
enum  {
	LAYOUTS_LAYOUTS_MANAGER_0_PROPERTY,
	LAYOUTS_LAYOUTS_MANAGER_NUM_PROPERTIES
};
static GParamSpec* layouts_layouts_manager_properties[LAYOUTS_LAYOUTS_MANAGER_NUM_PROPERTIES];
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block1Data Block1Data;
#define _g_settings_schema_unref0(var) ((var == NULL) ? NULL : (var = (g_settings_schema_unref (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

struct _LayoutsLayoutsManager {
	GObject parent_instance;
	LayoutsLayoutsManagerPrivate * priv;
};

struct _LayoutsLayoutsManagerClass {
	GObjectClass parent_class;
};

struct _Block1Data {
	int _ref_count_;
	LayoutsLayoutsManager* self;
	GSettings* preference_settings;
	gboolean show_menu;
};


static gpointer layouts_layouts_manager_parent_class = NULL;

#define LAYOUTS_plank_schema "net.launchpad.plank"
#define LAYOUTS_plank_settings_schema "net.launchpad.plank.dock.settings"
#define LAYOUTS_plank_path "/net/launchpad/plank/docks/xyz/"
#define LAYOUTS_panel_schema "com.solus-project.budgie-panel"
#define LAYOUTS_plank_global_path "/usr/share/applications/plank.desktop"
#define LAYOUTS_appmenu_elementary_schema "io.elementary.desktop.wingpanel.applications-menu"
#define LAYOUTS_appmenu_budgie_schema "org.ubuntubudgie.plugins.budgie-appmenu"
#define LAYOUTS_budgiewm_schema "com.solus-project.budgie-wm"
#define LAYOUTS_nemo_window_schema "org.nemo.window-state"
#define LAYOUTS_nemo_preferences_schema "org.nemo.preferences"
GType layouts_layouts_manager_get_type (void) G_GNUC_CONST;
static void layouts_layouts_manager_run_cmd (LayoutsLayoutsManager* self,
                                      const gchar* commandline,
                                      gboolean async);
static void layouts_layouts_manager_stop_plank (LayoutsLayoutsManager* self);
static void layouts_layouts_manager_show_nemo_menu (LayoutsLayoutsManager* self,
                                             gboolean show_menu);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static gboolean __lambda4_ (Block1Data* _data1_);
static gboolean ___lambda4__gsource_func (gpointer self);
static void layouts_layouts_manager_start_plank (LayoutsLayoutsManager* self,
                                          gboolean centered);
static void layouts_layouts_manager_appmenu_powerstrip (LayoutsLayoutsManager* self,
                                                 gboolean enable);
static void layouts_layouts_manager_appmenu_categoryview (LayoutsLayoutsManager* self,
                                                   gboolean show_category);
static void layouts_layouts_manager_leftside_buttons (LayoutsLayoutsManager* self,
                                               gboolean leftside);
static void layouts_layouts_manager_reset_panel (LayoutsLayoutsManager* self);
void layouts_layouts_manager_reset (LayoutsLayoutsManager* self,
                                    const gchar* layout_name);
static gboolean __lambda5_ (LayoutsLayoutsManager* self);
static gboolean ___lambda5__gsource_func (gpointer self);
LayoutsLayoutsManager* layouts_layouts_manager_new (void);
LayoutsLayoutsManager* layouts_layouts_manager_construct (GType object_type);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static void
layouts_layouts_manager_run_cmd (LayoutsLayoutsManager* self,
                                 const gchar* commandline,
                                 gboolean async)
{
	GError* _inner_error0_ = NULL;
#line 32 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (self != NULL);
#line 32 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (commandline != NULL);
#line 126 "layouts.c"
	{
#line 34 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		if (async) {
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			g_spawn_command_line_async (commandline, &_inner_error0_);
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				if (_inner_error0_->domain == G_SPAWN_ERROR) {
#line 136 "layouts.c"
					goto __catch7_g_spawn_error;
				}
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				g_clear_error (&_inner_error0_);
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				return;
#line 145 "layouts.c"
			}
		} else {
#line 38 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			g_spawn_command_line_sync (commandline, NULL, NULL, NULL, &_inner_error0_);
#line 38 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 38 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				if (_inner_error0_->domain == G_SPAWN_ERROR) {
#line 154 "layouts.c"
					goto __catch7_g_spawn_error;
				}
#line 38 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 38 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				g_clear_error (&_inner_error0_);
#line 38 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				return;
#line 163 "layouts.c"
			}
		}
	}
	goto __finally7;
	__catch7_g_spawn_error:
	{
		GError* e = NULL;
		GError* _tmp0_;
		const gchar* _tmp1_;
#line 33 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		e = _inner_error0_;
#line 33 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_inner_error0_ = NULL;
#line 42 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp0_ = e;
#line 42 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp1_ = _tmp0_->message;
#line 42 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_warning ("layouts.vala:42: Issue when executing %s", _tmp1_);
#line 33 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_error_free0 (e);
#line 185 "layouts.c"
	}
	__finally7:
#line 33 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 33 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 33 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_clear_error (&_inner_error0_);
#line 33 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		return;
#line 196 "layouts.c"
	}
}


static void
layouts_layouts_manager_stop_plank (LayoutsLayoutsManager* self)
{
	gchar* autostart_file = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	GError* _inner_error0_ = NULL;
#line 47 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (self != NULL);
#line 48 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_run_cmd (self, "killall plank", FALSE);
#line 50 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp0_ = g_get_home_dir ();
#line 50 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/.config/autostart/plank.desktop", NULL);
#line 50 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	autostart_file = _tmp1_;
#line 53 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp2_ = autostart_file;
#line 53 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (!g_file_test (_tmp2_, G_FILE_TEST_EXISTS)) {
#line 223 "layouts.c"
		const gchar* _tmp3_;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp3_ = autostart_file;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_debug ("layouts.vala:54: does not exist %s", _tmp3_);
#line 55 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_free0 (autostart_file);
#line 55 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		return;
#line 233 "layouts.c"
	}
	{
		GFile* file = NULL;
		const gchar* _tmp4_;
		GFile* _tmp5_;
		GFile* _tmp6_;
#line 59 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp4_ = autostart_file;
#line 59 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp5_ = g_file_new_for_path (_tmp4_);
#line 59 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		file = _tmp5_;
#line 60 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp6_ = file;
#line 60 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_file_delete (_tmp6_, NULL, &_inner_error0_);
#line 60 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 60 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			_g_object_unref0 (file);
#line 254 "layouts.c"
			goto __catch8_g_error;
		}
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_object_unref0 (file);
#line 259 "layouts.c"
	}
	goto __finally8;
	__catch8_g_error:
	{
		GError* e = NULL;
		GError* _tmp7_;
		const gchar* _tmp8_;
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		e = _inner_error0_;
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_inner_error0_ = NULL;
#line 63 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp7_ = e;
#line 63 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp8_ = _tmp7_->message;
#line 63 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_warning ("layouts.vala:63: Cannot delete: %s", _tmp8_);
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_error_free0 (e);
#line 279 "layouts.c"
	}
	__finally8:
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_free0 (autostart_file);
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_clear_error (&_inner_error0_);
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		return;
#line 292 "layouts.c"
	}
#line 47 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_g_free0 (autostart_file);
#line 296 "layouts.c"
}


static Block1Data*
block1_data_ref (Block1Data* _data1_)
{
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	return _data1_;
#line 307 "layouts.c"
}


static void
block1_data_unref (void * _userdata_)
{
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 318 "layouts.c"
		LayoutsLayoutsManager* self;
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		self = _data1_->self;
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_object_unref0 (_data1_->preference_settings);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_object_unref0 (self);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_slice_free (Block1Data, _data1_);
#line 328 "layouts.c"
	}
}


static gboolean
__lambda4_ (Block1Data* _data1_)
{
	LayoutsLayoutsManager* self;
	gboolean result = FALSE;
	GSettings* window_settings = NULL;
	GSettings* _tmp0_;
	GSettings* _tmp1_;
#line 73 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	self = _data1_->self;
#line 75 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp0_ = g_settings_new (LAYOUTS_nemo_window_schema);
#line 75 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	window_settings = _tmp0_;
#line 76 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_settings_set_boolean (window_settings, "start-with-menu-bar", _data1_->show_menu);
#line 77 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp1_ = _data1_->preference_settings;
#line 77 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_settings_set_boolean (_tmp1_, "disable-menu-warning", FALSE);
#line 78 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	result = FALSE;
#line 78 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_g_object_unref0 (window_settings);
#line 78 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	return result;
#line 359 "layouts.c"
}


static gboolean
___lambda4__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda4_ (self);
#line 73 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	return result;
#line 370 "layouts.c"
}


static void
layouts_layouts_manager_show_nemo_menu (LayoutsLayoutsManager* self,
                                        gboolean show_menu)
{
	Block1Data* _data1_;
	GSettingsSchema* schema = NULL;
	GSettingsSchemaSource* _tmp0_;
	GSettingsSchema* _tmp1_;
	GSettingsSchema* _tmp2_;
	GSettings* _tmp3_;
	GSettings* _tmp4_;
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (self != NULL);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_data1_->_ref_count_ = 1;
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_data1_->self = g_object_ref (self);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_data1_->show_menu = show_menu;
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp0_ = g_settings_schema_source_get_default ();
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp1_ = g_settings_schema_source_lookup (_tmp0_, LAYOUTS_nemo_window_schema, TRUE);
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	schema = _tmp1_;
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp2_ = schema;
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (_tmp2_ == NULL) {
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_settings_schema_unref0 (schema);
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		block1_data_unref (_data1_);
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_data1_ = NULL;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		return;
#line 413 "layouts.c"
	}
#line 71 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp3_ = g_settings_new (LAYOUTS_nemo_preferences_schema);
#line 71 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_data1_->preference_settings = _tmp3_;
#line 72 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp4_ = _data1_->preference_settings;
#line 72 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_settings_set_boolean (_tmp4_, "disable-menu-warning", TRUE);
#line 73 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 500, ___lambda4__gsource_func, block1_data_ref (_data1_), block1_data_unref);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_g_settings_schema_unref0 (schema);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	block1_data_unref (_data1_);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_data1_ = NULL;
#line 431 "layouts.c"
}


static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1479 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 454 "layouts.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 458 "layouts.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 464 "layouts.c"
	} else {
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 468 "layouts.c"
	}
#line 1480 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 472 "layouts.c"
		gchar* _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp2_;
#line 1481 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 480 "layouts.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		regex = _tmp6_;
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 508 "layouts.c"
				goto __catch9_g_regex_error;
			}
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1484 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 517 "layouts.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp8_ = regex;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 531 "layouts.c"
				goto __catch9_g_regex_error;
			}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return NULL;
#line 540 "layouts.c"
		}
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp10_;
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1485 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 554 "layouts.c"
	}
	goto __finally9;
	__catch9_g_regex_error:
	{
		GError* e = NULL;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		e = _inner_error0_;
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_inner_error0_ = NULL;
#line 1487 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 568 "layouts.c"
	}
	__finally9:
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1483 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return NULL;
#line 579 "layouts.c"
	}
}


static void
layouts_layouts_manager_start_plank (LayoutsLayoutsManager* self,
                                     gboolean centered)
{
	GError* _inner_error0_ = NULL;
#line 82 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (self != NULL);
#line 83 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_stop_plank (self);
#line 85 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (!g_file_test (LAYOUTS_plank_global_path, G_FILE_TEST_EXISTS)) {
#line 86 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_debug ("layouts.vala:86: does not exist %s", LAYOUTS_plank_global_path);
#line 87 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		return;
#line 599 "layouts.c"
	}
#line 90 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (centered) {
#line 603 "layouts.c"
		GSettings* plank_settings = NULL;
		GSettings* _tmp0_;
		gchar** docks = NULL;
		GSettings* _tmp1_;
		gchar** _tmp2_;
		gchar** _tmp3_;
		gint docks_length1;
		gint _docks_size_;
		gchar** _tmp4_;
		gint _tmp4__length1;
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp0_ = g_settings_new (LAYOUTS_plank_schema);
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		plank_settings = _tmp0_;
#line 92 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp1_ = plank_settings;
#line 92 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp3_ = _tmp2_ = g_settings_get_strv (_tmp1_, "enabled-docks");
#line 92 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		docks = _tmp3_;
#line 92 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		docks_length1 = _vala_array_length (_tmp2_);
#line 92 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_docks_size_ = docks_length1;
#line 94 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp4_ = docks;
#line 94 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp4__length1 = docks_length1;
#line 632 "layouts.c"
		{
			gchar** dock_collection = NULL;
			gint dock_collection_length1 = 0;
			gint _dock_collection_size_ = 0;
			gint dock_it = 0;
#line 94 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			dock_collection = _tmp4_;
#line 94 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			dock_collection_length1 = _tmp4__length1;
#line 94 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			for (dock_it = 0; dock_it < dock_collection_length1; dock_it = dock_it + 1) {
#line 644 "layouts.c"
				gchar* _tmp5_;
				gchar* dock = NULL;
#line 94 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				_tmp5_ = g_strdup (dock_collection[dock_it]);
#line 94 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				dock = _tmp5_;
#line 651 "layouts.c"
				{
					gchar* path = NULL;
					const gchar* _tmp6_;
					gchar* _tmp7_;
					GSettings* settings = NULL;
					const gchar* _tmp8_;
					GSettings* _tmp9_;
					GSettings* _tmp10_;
					GSettings* _tmp11_;
					GSettings* _tmp12_;
					GSettings* _tmp13_;
					GSettings* _tmp14_;
					GSettings* _tmp15_;
#line 95 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp6_ = dock;
#line 95 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp7_ = string_replace (LAYOUTS_plank_path, "xyz", _tmp6_);
#line 95 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					path = _tmp7_;
#line 96 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp8_ = path;
#line 96 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp9_ = g_settings_new_with_path (LAYOUTS_plank_settings_schema, _tmp8_);
#line 96 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					settings = _tmp9_;
#line 98 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp10_ = settings;
#line 98 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					g_settings_set_string (_tmp10_, "position", "bottom");
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp11_ = settings;
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					g_settings_set_string (_tmp11_, "theme", "Transparent");
#line 100 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp12_ = settings;
#line 100 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					g_settings_set_int (_tmp12_, "icon-size", 32);
#line 101 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp13_ = settings;
#line 101 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					g_settings_set_int (_tmp13_, "hide-delay", 500);
#line 102 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp14_ = settings;
#line 102 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					g_settings_set_string (_tmp14_, "hide-mode", "window-dodge");
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_tmp15_ = settings;
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					g_settings_set_boolean (_tmp15_, "zoom-enabled", TRUE);
#line 104 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_g_object_unref0 (settings);
#line 104 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_g_free0 (path);
#line 104 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					_g_free0 (dock);
#line 104 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					break;
#line 709 "layouts.c"
				}
			}
		}
#line 90 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		docks = (_vala_array_free (docks, docks_length1, (GDestroyNotify) g_free), NULL);
#line 90 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_object_unref0 (plank_settings);
#line 717 "layouts.c"
	}
	{
		gchar* autostart_folder = NULL;
		const gchar* _tmp16_;
		gchar* _tmp17_;
		const gchar* _tmp18_;
		GFile* file = NULL;
		GFile* _tmp22_;
		GFile* dest = NULL;
		const gchar* _tmp23_;
		gchar* _tmp24_;
		gchar* _tmp25_;
		GFile* _tmp26_;
		GFile* _tmp27_;
		GFile* _tmp28_;
		GFile* _tmp29_;
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp16_ = g_get_home_dir ();
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp17_ = g_strconcat (_tmp16_, "/.config/autostart/", NULL);
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		autostart_folder = _tmp17_;
#line 112 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp18_ = autostart_folder;
#line 112 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		if (!g_file_test (_tmp18_, G_FILE_TEST_IS_DIR)) {
#line 744 "layouts.c"
			GFile* folder = NULL;
			const gchar* _tmp19_;
			GFile* _tmp20_;
			GFile* _tmp21_;
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			_tmp19_ = autostart_folder;
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			_tmp20_ = g_file_new_for_path (_tmp19_);
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			folder = _tmp20_;
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			_tmp21_ = folder;
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			g_file_make_directory (_tmp21_, NULL, &_inner_error0_);
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				_g_object_unref0 (folder);
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
				_g_free0 (autostart_folder);
#line 765 "layouts.c"
				goto __catch10_g_error;
			}
#line 112 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			_g_object_unref0 (folder);
#line 770 "layouts.c"
		}
#line 117 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp22_ = g_file_new_for_path (LAYOUTS_plank_global_path);
#line 117 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		file = _tmp22_;
#line 118 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp23_ = autostart_folder;
#line 118 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp24_ = g_strconcat (_tmp23_, "plank.desktop", NULL);
#line 118 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp25_ = _tmp24_;
#line 118 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp26_ = g_file_new_for_path (_tmp25_);
#line 118 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp27_ = _tmp26_;
#line 118 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_free0 (_tmp25_);
#line 118 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		dest = _tmp27_;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp28_ = file;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp29_ = dest;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_file_copy (_tmp28_, _tmp29_, G_FILE_COPY_OVERWRITE, NULL, NULL, NULL, &_inner_error0_);
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			_g_object_unref0 (dest);
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			_g_object_unref0 (file);
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
			_g_free0 (autostart_folder);
#line 804 "layouts.c"
			goto __catch10_g_error;
		}
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_object_unref0 (dest);
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_object_unref0 (file);
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_free0 (autostart_folder);
#line 813 "layouts.c"
	}
	goto __finally10;
	__catch10_g_error:
	{
		GError* e = NULL;
		GError* _tmp30_;
		const gchar* _tmp31_;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		e = _inner_error0_;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_inner_error0_ = NULL;
#line 122 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp30_ = e;
#line 122 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp31_ = _tmp30_->message;
#line 122 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_warning ("layouts.vala:122: Cannot copy: %s", _tmp31_);
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_error_free0 (e);
#line 833 "layouts.c"
	}
	__finally10:
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_clear_error (&_inner_error0_);
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		return;
#line 844 "layouts.c"
	}
#line 125 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_run_cmd (self, "nohup plank &>/dev/null", TRUE);
#line 848 "layouts.c"
}


static void
layouts_layouts_manager_appmenu_powerstrip (LayoutsLayoutsManager* self,
                                            gboolean enable)
{
	GSettingsSchema* schema = NULL;
	GSettingsSchemaSource* _tmp0_;
	GSettingsSchema* _tmp1_;
	GSettingsSchema* _tmp2_;
	GSettings* settings = NULL;
	GSettings* _tmp3_;
	GSettings* _tmp4_;
#line 128 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (self != NULL);
#line 129 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp0_ = g_settings_schema_source_get_default ();
#line 129 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp1_ = g_settings_schema_source_lookup (_tmp0_, LAYOUTS_appmenu_budgie_schema, TRUE);
#line 129 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	schema = _tmp1_;
#line 130 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp2_ = schema;
#line 130 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (_tmp2_ == NULL) {
#line 131 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_settings_schema_unref0 (schema);
#line 131 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		return;
#line 879 "layouts.c"
	}
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp3_ = g_settings_new (LAYOUTS_appmenu_budgie_schema);
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	settings = _tmp3_;
#line 133 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp4_ = settings;
#line 133 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_settings_set_boolean (_tmp4_, "enable-powerstrip", enable);
#line 128 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_g_object_unref0 (settings);
#line 128 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_g_settings_schema_unref0 (schema);
#line 893 "layouts.c"
}


static void
layouts_layouts_manager_appmenu_categoryview (LayoutsLayoutsManager* self,
                                              gboolean show_category)
{
	GSettingsSchema* schema = NULL;
	GSettingsSchemaSource* _tmp0_;
	GSettingsSchema* _tmp1_;
	GSettingsSchema* _tmp2_;
	GSettings* settings = NULL;
	GSettings* _tmp3_;
	GSettings* _tmp4_;
#line 136 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (self != NULL);
#line 137 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp0_ = g_settings_schema_source_get_default ();
#line 137 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp1_ = g_settings_schema_source_lookup (_tmp0_, LAYOUTS_appmenu_elementary_schema, TRUE);
#line 137 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	schema = _tmp1_;
#line 138 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp2_ = schema;
#line 138 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (_tmp2_ == NULL) {
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_g_settings_schema_unref0 (schema);
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		return;
#line 924 "layouts.c"
	}
#line 140 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp3_ = g_settings_new (LAYOUTS_appmenu_elementary_schema);
#line 140 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	settings = _tmp3_;
#line 141 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp4_ = settings;
#line 141 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_settings_set_boolean (_tmp4_, "use-category", show_category);
#line 136 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_g_object_unref0 (settings);
#line 136 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_g_settings_schema_unref0 (schema);
#line 938 "layouts.c"
}


static void
layouts_layouts_manager_leftside_buttons (LayoutsLayoutsManager* self,
                                          gboolean leftside)
{
	GSettings* settings = NULL;
	GSettings* _tmp0_;
#line 144 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (self != NULL);
#line 145 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp0_ = g_settings_new (LAYOUTS_budgiewm_schema);
#line 145 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	settings = _tmp0_;
#line 146 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (leftside) {
#line 956 "layouts.c"
		GSettings* _tmp1_;
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp1_ = settings;
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_settings_set_string (_tmp1_, "button-style", "left");
#line 962 "layouts.c"
	} else {
		GSettings* _tmp2_;
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		_tmp2_ = settings;
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		g_settings_set_string (_tmp2_, "button-style", "traditional");
#line 969 "layouts.c"
	}
#line 144 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_g_object_unref0 (settings);
#line 973 "layouts.c"
}


static void
layouts_layouts_manager_reset_panel (LayoutsLayoutsManager* self)
{
#line 154 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (self != NULL);
#line 155 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_run_cmd (self, "nohup budgie-panel --reset --replace &>/dev/null", TRUE);
#line 984 "layouts.c"
}


static gboolean
__lambda5_ (LayoutsLayoutsManager* self)
{
	gboolean result = FALSE;
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_reset_panel (self);
#line 201 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	result = FALSE;
#line 201 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	return result;
#line 998 "layouts.c"
}


static gboolean
___lambda5__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda5_ ((LayoutsLayoutsManager*) self);
#line 199 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	return result;
#line 1009 "layouts.c"
}


void
layouts_layouts_manager_reset (LayoutsLayoutsManager* self,
                               const gchar* layout_name)
{
	const gchar* _tmp0_;
	GQuark _tmp2_ = 0U;
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	static GQuark _tmp1_label0 = 0;
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	static GQuark _tmp1_label1 = 0;
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	static GQuark _tmp1_label2 = 0;
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	static GQuark _tmp1_label3 = 0;
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	static GQuark _tmp1_label4 = 0;
#line 1029 "layouts.c"
	GSettings* settings = NULL;
	GSettings* _tmp3_;
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (self != NULL);
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_return_if_fail (layout_name != NULL);
#line 160 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_stop_plank (self);
#line 161 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_appmenu_powerstrip (self, FALSE);
#line 162 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_appmenu_categoryview (self, FALSE);
#line 163 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_leftside_buttons (self, FALSE);
#line 164 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_show_nemo_menu (self, FALSE);
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp0_ = layout_name;
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp2_ = (NULL == _tmp0_) ? 0 : g_quark_from_string (_tmp0_);
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	if (_tmp2_ == ((0 != _tmp1_label0) ? _tmp1_label0 : (_tmp1_label0 = g_quark_from_static_string ("ubuntubudgie")))) {
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		switch (0) {
#line 1054 "layouts.c"
			default:
			{
				{
#line 168 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_start_plank (self, TRUE);
#line 169 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					break;
#line 1062 "layouts.c"
				}
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label1) ? _tmp1_label1 : (_tmp1_label1 = g_quark_from_static_string ("classicubuntubudgie")))) {
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		switch (0) {
#line 1069 "layouts.c"
			default:
			{
				{
#line 172 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_start_plank (self, TRUE);
#line 173 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					break;
#line 1077 "layouts.c"
				}
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label2) ? _tmp1_label2 : (_tmp1_label2 = g_quark_from_static_string ("cupertino")))) {
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		switch (0) {
#line 1084 "layouts.c"
			default:
			{
				{
#line 176 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_start_plank (self, TRUE);
#line 177 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_appmenu_powerstrip (self, TRUE);
#line 178 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_appmenu_categoryview (self, TRUE);
#line 179 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_leftside_buttons (self, TRUE);
#line 180 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_show_nemo_menu (self, TRUE);
#line 181 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					break;
#line 1100 "layouts.c"
				}
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label3) ? _tmp1_label3 : (_tmp1_label3 = g_quark_from_static_string ("theone")))) {
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		switch (0) {
#line 1107 "layouts.c"
			default:
			{
				{
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_leftside_buttons (self, TRUE);
#line 185 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_show_nemo_menu (self, TRUE);
#line 186 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					break;
#line 1117 "layouts.c"
				}
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label4) ? _tmp1_label4 : (_tmp1_label4 = g_quark_from_static_string ("redmond")))) {
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		switch (0) {
#line 1124 "layouts.c"
			default:
			{
				{
#line 189 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_appmenu_powerstrip (self, TRUE);
#line 190 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					layouts_layouts_manager_appmenu_categoryview (self, TRUE);
#line 191 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					break;
#line 1134 "layouts.c"
				}
			}
		}
	} else {
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
		switch (0) {
#line 1141 "layouts.c"
			default:
			{
				{
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
					break;
#line 1147 "layouts.c"
				}
			}
		}
	}
#line 197 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_tmp3_ = g_settings_new (LAYOUTS_panel_schema);
#line 197 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	settings = _tmp3_;
#line 198 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_settings_set_string (settings, "layout", layout_name);
#line 199 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	g_timeout_add_seconds_full (G_PRIORITY_DEFAULT, (guint) 1, ___lambda5__gsource_func, g_object_ref (self), g_object_unref);
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	_g_object_unref0 (settings);
#line 1162 "layouts.c"
}


LayoutsLayoutsManager*
layouts_layouts_manager_construct (GType object_type)
{
	LayoutsLayoutsManager * self = NULL;
#line 30 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	self = (LayoutsLayoutsManager*) g_object_new (object_type, NULL);
#line 30 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	return self;
#line 1174 "layouts.c"
}


LayoutsLayoutsManager*
layouts_layouts_manager_new (void)
{
#line 30 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	return layouts_layouts_manager_construct (LAYOUTS_TYPE_LAYOUTS_MANAGER);
#line 1183 "layouts.c"
}


static void
layouts_layouts_manager_class_init (LayoutsLayoutsManagerClass * klass)
{
#line 30 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-extras-daemon/src/layouts.vala"
	layouts_layouts_manager_parent_class = g_type_class_peek_parent (klass);
#line 1192 "layouts.c"
}


static void
layouts_layouts_manager_instance_init (LayoutsLayoutsManager * self)
{
}


GType
layouts_layouts_manager_get_type (void)
{
	static volatile gsize layouts_layouts_manager_type_id__volatile = 0;
	if (g_once_init_enter (&layouts_layouts_manager_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (LayoutsLayoutsManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) layouts_layouts_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (LayoutsLayoutsManager), 0, (GInstanceInitFunc) layouts_layouts_manager_instance_init, NULL };
		GType layouts_layouts_manager_type_id;
		layouts_layouts_manager_type_id = g_type_register_static (G_TYPE_OBJECT, "LayoutsLayoutsManager", &g_define_type_info, 0);
		g_once_init_leave (&layouts_layouts_manager_type_id__volatile, layouts_layouts_manager_type_id);
	}
	return layouts_layouts_manager_type_id__volatile;
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



