/* WifiMenuItem.c generated by valac 0.40.19, the Vala compiler
 * generated from WifiMenuItem.vala, do not modify */

/*
 * Copyright (c) 2018 Daniel Pinto (https://github.com/danielpinto8zz6/budgie-network-applet)
 * Copyright (c) 2015-2018 elementary LLC (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <NetworkManager.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>


#define NETWORK_TYPE_WIFI_MENU_ITEM (network_wifi_menu_item_get_type ())
#define NETWORK_WIFI_MENU_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem))
#define NETWORK_WIFI_MENU_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItemClass))
#define NETWORK_IS_WIFI_MENU_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_TYPE_WIFI_MENU_ITEM))
#define NETWORK_IS_WIFI_MENU_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_TYPE_WIFI_MENU_ITEM))
#define NETWORK_WIFI_MENU_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItemClass))

typedef struct _NetworkWifiMenuItem NetworkWifiMenuItem;
typedef struct _NetworkWifiMenuItemClass NetworkWifiMenuItemClass;
typedef struct _NetworkWifiMenuItemPrivate NetworkWifiMenuItemPrivate;
typedef enum  {
	NETWORK_STATE_DISCONNECTED,
	NETWORK_STATE_WIRED_UNPLUGGED,
	NETWORK_STATE_DISCONNECTED_WIRED,
	NETWORK_STATE_DISCONNECTED_AIRPLANE_MODE,
	NETWORK_STATE_CONNECTED_WIRED,
	NETWORK_STATE_CONNECTED_VPN,
	NETWORK_STATE_CONNECTED_WIFI,
	NETWORK_STATE_CONNECTED_WIFI_WEAK,
	NETWORK_STATE_CONNECTED_WIFI_OK,
	NETWORK_STATE_CONNECTED_WIFI_GOOD,
	NETWORK_STATE_CONNECTED_WIFI_EXCELLENT,
	NETWORK_STATE_CONNECTED_MOBILE_WEAK,
	NETWORK_STATE_CONNECTED_MOBILE_OK,
	NETWORK_STATE_CONNECTED_MOBILE_GOOD,
	NETWORK_STATE_CONNECTED_MOBILE_EXCELLENT,
	NETWORK_STATE_CONNECTING_WIFI,
	NETWORK_STATE_CONNECTING_MOBILE,
	NETWORK_STATE_CONNECTING_WIRED,
	NETWORK_STATE_CONNECTING_VPN,
	NETWORK_STATE_FAILED_WIRED,
	NETWORK_STATE_FAILED_WIFI,
	NETWORK_STATE_FAILED_MOBILE,
	NETWORK_STATE_FAILED_VPN
} NetworkState;


#define NETWORK_TYPE_STATE (network_state_get_type ())
enum  {
	NETWORK_WIFI_MENU_ITEM_0_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_STRENGTH_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_NUM_PROPERTIES
};
static GParamSpec* network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_NUM_PROPERTIES];
#define _g_bytes_unref0(var) ((var == NULL) ? NULL : (var = (g_bytes_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	NETWORK_WIFI_MENU_ITEM_USER_ACTION_SIGNAL,
	NETWORK_WIFI_MENU_ITEM_NUM_SIGNALS
};
static guint network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_NUM_SIGNALS] = {0};

struct _NetworkWifiMenuItem {
	GtkListBoxRow parent_instance;
	NetworkWifiMenuItemPrivate * priv;
};

struct _NetworkWifiMenuItemClass {
	GtkListBoxRowClass parent_class;
};

struct _NetworkWifiMenuItemPrivate {
	NetworkState _state;
	GBytes* _ssid;
	guint8 _strength;
	GeeLinkedList* all_aps;
	GRecMutex __lock_all_aps;
	GtkImage* img_strength;
	GtkImage* lock_img;
	GtkImage* error_img;
	GtkSpinner* spinner;
	guint refresh_source;
	GRecMutex __lock_refresh_source;
	GtkLabel* network_label;
	GtkLabel* network_state_label;
};


static gpointer network_wifi_menu_item_parent_class = NULL;
static GType network_wifi_menu_item_type_id = 0;

GType network_wifi_menu_item_register_type (GTypeModule * module);
GType network_wifi_menu_item_get_type (void) G_GNUC_CONST;
GType network_state_get_type (void) G_GNUC_CONST;
#define NETWORK_WIFI_MENU_ITEM_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItemPrivate))
#define NETWORK_WIFI_MENU_ITEM_BASE_ICON_NAME "network-wireless-signal-"
#define NETWORK_WIFI_MENU_ITEM_SYMBOLIC "-symbolic"
NetworkWifiMenuItem* network_wifi_menu_item_new (NMAccessPoint* ap,
                                                 NetworkWifiMenuItem* previous);
NetworkWifiMenuItem* network_wifi_menu_item_construct (GType object_type,
                                                       NMAccessPoint* ap,
                                                       NetworkWifiMenuItem* previous);
void network_wifi_menu_item_add_ap (NetworkWifiMenuItem* self,
                                    NMAccessPoint* ap);
static void network_wifi_menu_item_update (NetworkWifiMenuItem* self);
gboolean network_wifi_menu_item_remove_ap (NetworkWifiMenuItem* self,
                                           NMAccessPoint* ap);
NMAccessPoint* network_wifi_menu_item_get_nearest_ap (NetworkWifiMenuItem* self);
static void network_wifi_menu_item_start_refresh (NetworkWifiMenuItem* self);
static gboolean ____lambda5_ (NetworkWifiMenuItem* self);
static gboolean _____lambda5__gsource_func (gpointer self);
static void network_wifi_menu_item_stop_refresh (NetworkWifiMenuItem* self);
GBytes* network_wifi_menu_item_get_ssid (NetworkWifiMenuItem* self);
static void network_wifi_menu_item_hide_item (NetworkWifiMenuItem* self,
                                       GtkWidget* w);
NetworkState network_wifi_menu_item_get_state (NetworkWifiMenuItem* self);
static void network_wifi_menu_item_show_item (NetworkWifiMenuItem* self,
                                       GtkWidget* w);
static void network_wifi_menu_item_set_strength (NetworkWifiMenuItem* self,
                                          guint8 value);
static const gchar* network_wifi_menu_item_get_strength_symbolic_icon (NetworkWifiMenuItem* self);
guint8 network_wifi_menu_item_get_strength (NetworkWifiMenuItem* self);
void network_wifi_menu_item_set_state (NetworkWifiMenuItem* self,
                                       NetworkState value);
static void network_wifi_menu_item_set_ssid (NetworkWifiMenuItem* self,
                                      GBytes* value);
static GObject * network_wifi_menu_item_constructor (GType type,
                                              guint n_construct_properties,
                                              GObjectConstructParam * construct_properties);
static void _network_wifi_menu_item_update_g_object_notify (GObject* _sender,
                                                     GParamSpec* pspec,
                                                     gpointer self);
static void _network_wifi_menu_item___lambda6_ (NetworkWifiMenuItem* self);
static void __network_wifi_menu_item___lambda6__gtk_widget_map (GtkWidget* _sender,
                                                         gpointer self);
static void _network_wifi_menu_item___lambda7_ (NetworkWifiMenuItem* self);
static void __network_wifi_menu_item___lambda7__gtk_widget_unmap (GtkWidget* _sender,
                                                           gpointer self);
static void network_wifi_menu_item_finalize (GObject * obj);
static void _vala_network_wifi_menu_item_get_property (GObject * object,
                                                guint property_id,
                                                GValue * value,
                                                GParamSpec * pspec);
static void _vala_network_wifi_menu_item_set_property (GObject * object,
                                                guint property_id,
                                                const GValue * value,
                                                GParamSpec * pspec);


NetworkWifiMenuItem*
network_wifi_menu_item_construct (GType object_type,
                                  NMAccessPoint* ap,
                                  NetworkWifiMenuItem* previous)
{
	NetworkWifiMenuItem * self = NULL;
	GBytes* _tmp0_;
	GBytes* _tmp1_;
#line 82 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ap != NULL, NULL);
#line 83 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = nm_access_point_get_ssid (ap);
#line 83 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = _tmp0_;
#line 83 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self = (NetworkWifiMenuItem*) g_object_new (object_type, "ssid", _tmp1_, "margin-top", 3, NULL);
#line 85 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_add_ap (self, ap);
#line 87 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 82 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return self;
#line 198 "WifiMenuItem.c"
}


NetworkWifiMenuItem*
network_wifi_menu_item_new (NMAccessPoint* ap,
                            NetworkWifiMenuItem* previous)
{
#line 82 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return network_wifi_menu_item_construct (NETWORK_TYPE_WIFI_MENU_ITEM, ap, previous);
#line 208 "WifiMenuItem.c"
}


void
network_wifi_menu_item_add_ap (NetworkWifiMenuItem* self,
                               NMAccessPoint* ap)
{
	GError* _inner_error0_ = NULL;
#line 90 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 90 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (ap != NULL);
#line 221 "WifiMenuItem.c"
	{
		GeeLinkedList* _tmp0_;
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = self->priv->all_aps;
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_rec_mutex_lock (&self->priv->__lock_all_aps);
#line 228 "WifiMenuItem.c"
		{
			GeeLinkedList* _tmp1_;
#line 92 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp1_ = self->priv->all_aps;
#line 92 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, ap);
#line 235 "WifiMenuItem.c"
		}
		__finally1:
		{
			GeeLinkedList* _tmp2_;
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp2_ = self->priv->all_aps;
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_rec_mutex_unlock (&self->priv->__lock_all_aps);
#line 244 "WifiMenuItem.c"
		}
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_clear_error (&_inner_error0_);
#line 91 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			return;
#line 254 "WifiMenuItem.c"
		}
	}
#line 95 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update (self);
#line 259 "WifiMenuItem.c"
}


gboolean
network_wifi_menu_item_remove_ap (NetworkWifiMenuItem* self,
                                  NMAccessPoint* ap)
{
	gboolean result = FALSE;
	GError* _inner_error0_ = NULL;
#line 98 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 98 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ap != NULL, FALSE);
#line 273 "WifiMenuItem.c"
	{
		GeeLinkedList* _tmp0_;
		gboolean _tmp7_ = FALSE;
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = self->priv->all_aps;
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_rec_mutex_lock (&self->priv->__lock_all_aps);
#line 281 "WifiMenuItem.c"
		{
			GeeLinkedList* _tmp1_;
			GeeLinkedList* _tmp2_;
			gboolean _tmp3_;
			gboolean _tmp4_;
#line 100 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp1_ = self->priv->all_aps;
#line 100 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp1_, ap);
#line 101 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp2_ = self->priv->all_aps;
#line 101 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp3_ = gee_collection_get_is_empty ((GeeCollection*) _tmp2_);
#line 101 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp4_ = _tmp3_;
#line 101 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			result = !_tmp4_;
#line 299 "WifiMenuItem.c"
			{
				GeeLinkedList* _tmp5_;
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp5_ = self->priv->all_aps;
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				g_rec_mutex_unlock (&self->priv->__lock_all_aps);
#line 306 "WifiMenuItem.c"
			}
#line 101 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			return result;
#line 310 "WifiMenuItem.c"
		}
		__finally2:
		{
			GeeLinkedList* _tmp6_;
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp6_ = self->priv->all_aps;
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_rec_mutex_unlock (&self->priv->__lock_all_aps);
#line 319 "WifiMenuItem.c"
		}
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_clear_error (&_inner_error0_);
#line 99 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		return _tmp7_;
#line 327 "WifiMenuItem.c"
	}
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return self ? g_object_ref (self) : NULL;
#line 337 "WifiMenuItem.c"
}


NMAccessPoint*
network_wifi_menu_item_get_nearest_ap (NetworkWifiMenuItem* self)
{
	NMAccessPoint* result = NULL;
	GError* _inner_error0_ = NULL;
#line 105 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 348 "WifiMenuItem.c"
	{
		GeeLinkedList* _tmp0_;
#line 106 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = self->priv->all_aps;
#line 106 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_rec_mutex_lock (&self->priv->__lock_all_aps);
#line 355 "WifiMenuItem.c"
		{
			NMAccessPoint* ap = NULL;
			GeeLinkedList* _tmp1_;
			gpointer _tmp2_;
#line 107 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp1_ = self->priv->all_aps;
#line 107 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp2_ = gee_linked_list_first (_tmp1_);
#line 107 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			ap = (NMAccessPoint*) _tmp2_;
#line 366 "WifiMenuItem.c"
			{
				GeeLinkedList* _iter_ap_list = NULL;
				GeeLinkedList* _tmp3_;
				GeeLinkedList* _tmp4_;
				gint _iter_ap_size = 0;
				GeeLinkedList* _tmp5_;
				gint _tmp6_;
				gint _tmp7_;
				gint _iter_ap_index = 0;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp3_ = self->priv->all_aps;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp4_ = _g_object_ref0 (_tmp3_);
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_iter_ap_list = _tmp4_;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp5_ = _iter_ap_list;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp6_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp5_);
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp7_ = _tmp6_;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_iter_ap_size = _tmp7_;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_iter_ap_index = -1;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				while (TRUE) {
#line 394 "WifiMenuItem.c"
					gint _tmp8_;
					gint _tmp9_;
					gint _tmp10_;
					NMAccessPoint* iter_ap = NULL;
					GeeLinkedList* _tmp11_;
					gint _tmp12_;
					gpointer _tmp13_;
					NMAccessPoint* _tmp14_;
					guint8 _tmp15_;
					guint8 _tmp16_;
					NMAccessPoint* _tmp17_;
					guint8 _tmp18_;
					guint8 _tmp19_;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp8_ = _iter_ap_index;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_iter_ap_index = _tmp8_ + 1;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp9_ = _iter_ap_index;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp10_ = _iter_ap_size;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					if (!(_tmp9_ < _tmp10_)) {
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
						break;
#line 420 "WifiMenuItem.c"
					}
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp11_ = _iter_ap_list;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp12_ = _iter_ap_index;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					iter_ap = (NMAccessPoint*) _tmp13_;
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp14_ = ap;
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp15_ = nm_access_point_get_strength (_tmp14_);
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp16_ = _tmp15_;
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp17_ = iter_ap;
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp18_ = nm_access_point_get_strength (_tmp17_);
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp19_ = _tmp18_;
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					if (_tmp16_ < _tmp19_) {
#line 444 "WifiMenuItem.c"
						NMAccessPoint* _tmp20_;
						NMAccessPoint* _tmp21_;
#line 110 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
						_tmp20_ = iter_ap;
#line 110 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
						_tmp21_ = _g_object_ref0 (_tmp20_);
#line 110 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
						_g_object_unref0 (ap);
#line 110 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
						ap = _tmp21_;
#line 455 "WifiMenuItem.c"
					}
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_g_object_unref0 (iter_ap);
#line 459 "WifiMenuItem.c"
				}
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_g_object_unref0 (_iter_ap_list);
#line 463 "WifiMenuItem.c"
			}
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			result = ap;
#line 467 "WifiMenuItem.c"
			{
				GeeLinkedList* _tmp22_;
#line 106 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp22_ = self->priv->all_aps;
#line 106 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				g_rec_mutex_unlock (&self->priv->__lock_all_aps);
#line 474 "WifiMenuItem.c"
			}
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			return result;
#line 478 "WifiMenuItem.c"
		}
		__finally3:
		{
			GeeLinkedList* _tmp23_;
#line 106 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp23_ = self->priv->all_aps;
#line 106 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_rec_mutex_unlock (&self->priv->__lock_all_aps);
#line 487 "WifiMenuItem.c"
		}
#line 106 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 106 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_clear_error (&_inner_error0_);
#line 106 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		return NULL;
#line 495 "WifiMenuItem.c"
	}
}


static gboolean
____lambda5_ (NetworkWifiMenuItem* self)
{
	gboolean result = FALSE;
#line 125 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update (self);
#line 126 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	result = G_SOURCE_CONTINUE;
#line 126 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 510 "WifiMenuItem.c"
}


static gboolean
_____lambda5__gsource_func (gpointer self)
{
	gboolean result;
	result = ____lambda5_ ((NetworkWifiMenuItem*) self);
#line 124 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 521 "WifiMenuItem.c"
}


static void
network_wifi_menu_item_start_refresh (NetworkWifiMenuItem* self)
{
	GError* _inner_error0_ = NULL;
#line 118 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 531 "WifiMenuItem.c"
	{
		guint _tmp0_;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = self->priv->refresh_source;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_rec_mutex_lock (&self->priv->__lock_refresh_source);
#line 538 "WifiMenuItem.c"
		{
			guint _tmp1_;
#line 120 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp1_ = self->priv->refresh_source;
#line 120 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			if (_tmp1_ > ((guint) 0)) {
#line 545 "WifiMenuItem.c"
				guint _tmp2_;
#line 121 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp2_ = self->priv->refresh_source;
#line 121 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				g_source_remove (_tmp2_);
#line 551 "WifiMenuItem.c"
			}
#line 124 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			self->priv->refresh_source = g_timeout_add_seconds_full (G_PRIORITY_DEFAULT, (guint) 5, _____lambda5__gsource_func, g_object_ref (self), g_object_unref);
#line 555 "WifiMenuItem.c"
		}
		__finally4:
		{
			guint _tmp3_;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp3_ = self->priv->refresh_source;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_rec_mutex_unlock (&self->priv->__lock_refresh_source);
#line 564 "WifiMenuItem.c"
		}
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_clear_error (&_inner_error0_);
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			return;
#line 574 "WifiMenuItem.c"
		}
	}
}


static void
network_wifi_menu_item_stop_refresh (NetworkWifiMenuItem* self)
{
	GError* _inner_error0_ = NULL;
#line 131 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 586 "WifiMenuItem.c"
	{
		guint _tmp0_;
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = self->priv->refresh_source;
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_rec_mutex_lock (&self->priv->__lock_refresh_source);
#line 593 "WifiMenuItem.c"
		{
			guint _tmp1_;
#line 133 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp1_ = self->priv->refresh_source;
#line 133 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_source_remove (_tmp1_);
#line 134 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			self->priv->refresh_source = (guint) 0;
#line 602 "WifiMenuItem.c"
		}
		__finally5:
		{
			guint _tmp2_;
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp2_ = self->priv->refresh_source;
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_rec_mutex_unlock (&self->priv->__lock_refresh_source);
#line 611 "WifiMenuItem.c"
		}
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_clear_error (&_inner_error0_);
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			return;
#line 621 "WifiMenuItem.c"
		}
	}
}


static void
network_wifi_menu_item_update (NetworkWifiMenuItem* self)
{
	GtkLabel* _tmp0_;
	GBytes* _tmp1_;
	gsize _tmp2_ = 0;
	guint8* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	NMAccessPoint* ap = NULL;
	NM80211ApSecurityFlags flags = 0U;
	NMAccessPoint* _tmp10_;
	NM80211ApSecurityFlags _tmp11_;
	NM80211ApSecurityFlags _tmp12_;
	gboolean is_secured = FALSE;
	NM80211ApSecurityFlags _tmp13_;
	const gchar* _tmp21_ = NULL;
	gboolean _tmp22_;
	GtkImage* _tmp23_;
	GtkImage* _tmp24_;
	GtkSpinner* _tmp25_;
	NetworkState _tmp26_;
	guint8 next_strength = 0U;
	guint8 _tmp50_;
	GtkImage* _tmp51_;
	const gchar* _tmp52_;
	GError* _inner_error0_ = NULL;
#line 138 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->network_label;
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = self->priv->_ssid;
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = g_bytes_get_data (_tmp1_, &_tmp2_);
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp4_ = nm_utils_ssid_to_utf8 (_tmp3_, (gsize) _tmp2_);
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp5_ = _tmp4_;
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_label_set_label (_tmp0_, _tmp5_);
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp5_);
#line 141 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	ap = NULL;
#line 672 "WifiMenuItem.c"
	{
		GeeLinkedList* _tmp6_;
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp6_ = self->priv->all_aps;
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_rec_mutex_lock (&self->priv->__lock_all_aps);
#line 679 "WifiMenuItem.c"
		{
			GeeLinkedList* _tmp7_;
			gpointer _tmp8_;
#line 143 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp7_ = self->priv->all_aps;
#line 143 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp8_ = gee_linked_list_first (_tmp7_);
#line 143 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_g_object_unref0 (ap);
#line 143 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			ap = (NMAccessPoint*) _tmp8_;
#line 691 "WifiMenuItem.c"
		}
		__finally6:
		{
			GeeLinkedList* _tmp9_;
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp9_ = self->priv->all_aps;
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_rec_mutex_unlock (&self->priv->__lock_all_aps);
#line 700 "WifiMenuItem.c"
		}
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_g_object_unref0 (ap);
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_clear_error (&_inner_error0_);
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			return;
#line 712 "WifiMenuItem.c"
		}
	}
#line 146 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp10_ = ap;
#line 146 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp11_ = nm_access_point_get_wpa_flags (_tmp10_);
#line 146 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp12_ = _tmp11_;
#line 146 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	flags = _tmp12_;
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	is_secured = FALSE;
#line 149 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp13_ = flags;
#line 149 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	if ((_tmp13_ & NM_802_11_AP_SEC_GROUP_WEP40) == NM_802_11_AP_SEC_GROUP_WEP40) {
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		is_secured = TRUE;
#line 151 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) self, _ ("This network uses 40/64-bit WEP encryption"));
#line 733 "WifiMenuItem.c"
	} else {
		NM80211ApSecurityFlags _tmp14_;
#line 152 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp14_ = flags;
#line 152 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		if ((_tmp14_ & NM_802_11_AP_SEC_GROUP_WEP104) == NM_802_11_AP_SEC_GROUP_WEP104) {
#line 153 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			is_secured = TRUE;
#line 154 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			gtk_widget_set_tooltip_text ((GtkWidget*) self, _ ("This network uses 104/128-bit WEP encryption"));
#line 744 "WifiMenuItem.c"
		} else {
			NM80211ApSecurityFlags _tmp15_;
#line 155 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp15_ = flags;
#line 155 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			if ((_tmp15_ & NM_802_11_AP_SEC_KEY_MGMT_PSK) == NM_802_11_AP_SEC_KEY_MGMT_PSK) {
#line 156 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				is_secured = TRUE;
#line 157 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				gtk_widget_set_tooltip_text ((GtkWidget*) self, _ ("This network uses WPA encryption"));
#line 755 "WifiMenuItem.c"
			} else {
				gboolean _tmp16_ = FALSE;
				NM80211ApSecurityFlags _tmp17_;
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp17_ = flags;
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				if (_tmp17_ != NM_802_11_AP_SEC_NONE) {
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp16_ = TRUE;
#line 765 "WifiMenuItem.c"
				} else {
					NMAccessPoint* _tmp18_;
					NM80211ApSecurityFlags _tmp19_;
					NM80211ApSecurityFlags _tmp20_;
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp18_ = ap;
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp19_ = nm_access_point_get_rsn_flags (_tmp18_);
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp20_ = _tmp19_;
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp16_ = _tmp20_ != NM_802_11_AP_SEC_NONE;
#line 778 "WifiMenuItem.c"
				}
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				if (_tmp16_) {
#line 159 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					is_secured = TRUE;
#line 160 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					gtk_widget_set_tooltip_text ((GtkWidget*) self, _ ("This network uses encryption"));
#line 786 "WifiMenuItem.c"
				} else {
#line 162 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					gtk_widget_set_tooltip_text ((GtkWidget*) self, _ ("This network is unsecured"));
#line 790 "WifiMenuItem.c"
				}
			}
		}
	}
#line 165 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp22_ = is_secured;
#line 165 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	if (_tmp22_) {
#line 165 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp21_ = "channel-secure-symbolic";
#line 801 "WifiMenuItem.c"
	} else {
#line 165 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp21_ = "channel-insecure-symbolic";
#line 805 "WifiMenuItem.c"
	}
#line 165 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp23_ = self->priv->lock_img;
#line 165 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_set (_tmp23_, "icon-name", _tmp21_, NULL);
#line 167 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp24_ = self->priv->error_img;
#line 167 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp24_);
#line 168 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp25_ = self->priv->spinner;
#line 168 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp25_);
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp26_ = self->priv->_state;
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	switch (_tmp26_) {
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_FAILED_WIFI:
#line 825 "WifiMenuItem.c"
		{
			GtkImage* _tmp27_;
			GtkLabel* _tmp28_;
#line 172 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp27_ = self->priv->error_img;
#line 172 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			network_wifi_menu_item_show_item (self, (GtkWidget*) _tmp27_);
#line 173 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp28_ = self->priv->network_state_label;
#line 173 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			gtk_label_set_label (_tmp28_, _ ("Failed to connect"));
#line 174 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			break;
#line 839 "WifiMenuItem.c"
		}
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_CONNECTING_WIFI:
#line 843 "WifiMenuItem.c"
		{
			GtkSpinner* _tmp29_;
			GtkLabel* _tmp30_;
#line 176 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp29_ = self->priv->spinner;
#line 176 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			network_wifi_menu_item_show_item (self, (GtkWidget*) _tmp29_);
#line 177 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp30_ = self->priv->network_state_label;
#line 177 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			gtk_label_set_label (_tmp30_, _ ("Connecting"));
#line 178 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			break;
#line 857 "WifiMenuItem.c"
		}
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_CONNECTED_WIFI:
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_CONNECTED_WIFI_WEAK:
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_CONNECTED_WIFI_OK:
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_CONNECTED_WIFI_GOOD:
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_CONNECTED_WIFI_EXCELLENT:
#line 869 "WifiMenuItem.c"
		{
			GtkLabel* _tmp31_;
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp31_ = self->priv->network_state_label;
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			gtk_label_set_label (_tmp31_, _ ("Connected"));
#line 185 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			break;
#line 878 "WifiMenuItem.c"
		}
		default:
		{
			GtkLabel* _tmp32_;
#line 187 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp32_ = self->priv->network_state_label;
#line 187 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			gtk_label_set_label (_tmp32_, _ ("Disconnected"));
#line 188 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			break;
#line 889 "WifiMenuItem.c"
		}
	}
#line 192 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	next_strength = (guint8) 0;
#line 894 "WifiMenuItem.c"
	{
		GeeLinkedList* _tmp33_;
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp33_ = self->priv->all_aps;
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_rec_mutex_lock (&self->priv->__lock_all_aps);
#line 901 "WifiMenuItem.c"
		{
			{
				GeeLinkedList* _iter_ap_list = NULL;
				GeeLinkedList* _tmp34_;
				GeeLinkedList* _tmp35_;
				gint _iter_ap_size = 0;
				GeeLinkedList* _tmp36_;
				gint _tmp37_;
				gint _tmp38_;
				gint _iter_ap_index = 0;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp34_ = self->priv->all_aps;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp35_ = _g_object_ref0 (_tmp34_);
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_iter_ap_list = _tmp35_;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp36_ = _iter_ap_list;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp37_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp36_);
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_tmp38_ = _tmp37_;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_iter_ap_size = _tmp38_;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_iter_ap_index = -1;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				while (TRUE) {
#line 930 "WifiMenuItem.c"
					gint _tmp39_;
					gint _tmp40_;
					gint _tmp41_;
					NMAccessPoint* iter_ap = NULL;
					GeeLinkedList* _tmp42_;
					gint _tmp43_;
					gpointer _tmp44_;
					guint8 _tmp45_;
					NMAccessPoint* _tmp46_;
					guint8 _tmp47_;
					guint8 _tmp48_;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp39_ = _iter_ap_index;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_iter_ap_index = _tmp39_ + 1;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp40_ = _iter_ap_index;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp41_ = _iter_ap_size;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					if (!(_tmp40_ < _tmp41_)) {
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
						break;
#line 954 "WifiMenuItem.c"
					}
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp42_ = _iter_ap_list;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp43_ = _iter_ap_index;
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp44_ = gee_abstract_list_get ((GeeAbstractList*) _tmp42_, _tmp43_);
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					iter_ap = (NMAccessPoint*) _tmp44_;
#line 195 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp45_ = next_strength;
#line 195 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp46_ = iter_ap;
#line 195 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp47_ = nm_access_point_get_strength (_tmp46_);
#line 195 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_tmp48_ = _tmp47_;
#line 195 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					next_strength = MAX (_tmp45_, _tmp48_);
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
					_g_object_unref0 (iter_ap);
#line 976 "WifiMenuItem.c"
				}
#line 194 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				_g_object_unref0 (_iter_ap_list);
#line 980 "WifiMenuItem.c"
			}
		}
		__finally7:
		{
			GeeLinkedList* _tmp49_;
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp49_ = self->priv->all_aps;
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_rec_mutex_unlock (&self->priv->__lock_all_aps);
#line 990 "WifiMenuItem.c"
		}
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_g_object_unref0 (ap);
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			g_clear_error (&_inner_error0_);
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			return;
#line 1002 "WifiMenuItem.c"
		}
	}
#line 199 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp50_ = next_strength;
#line 199 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_set_strength (self, _tmp50_);
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp51_ = self->priv->img_strength;
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp52_ = network_wifi_menu_item_get_strength_symbolic_icon (self);
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_set (_tmp51_, "icon-name", _tmp52_, NULL);
#line 138 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (ap);
#line 1017 "WifiMenuItem.c"
}


static void
network_wifi_menu_item_show_item (NetworkWifiMenuItem* self,
                                  GtkWidget* w)
{
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 203 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 203 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (w != NULL);
#line 204 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible (w, TRUE);
#line 205 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = gtk_widget_get_visible (w);
#line 205 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = _tmp0_;
#line 205 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all (w, !_tmp1_);
#line 1039 "WifiMenuItem.c"
}


static void
network_wifi_menu_item_hide_item (NetworkWifiMenuItem* self,
                                  GtkWidget* w)
{
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (w != NULL);
#line 209 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible (w, FALSE);
#line 210 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = gtk_widget_get_visible (w);
#line 210 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = _tmp0_;
#line 210 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all (w, !_tmp1_);
#line 211 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_hide (w);
#line 1063 "WifiMenuItem.c"
}


static const gchar*
network_wifi_menu_item_get_strength_symbolic_icon (NetworkWifiMenuItem* self)
{
	const gchar* result = NULL;
	guint8 _tmp0_;
#line 216 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_strength;
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	if (((gint) _tmp0_) < 30) {
#line 218 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		result = NETWORK_WIFI_MENU_ITEM_BASE_ICON_NAME "weak" NETWORK_WIFI_MENU_ITEM_SYMBOLIC;
#line 218 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		return result;
#line 1082 "WifiMenuItem.c"
	} else {
		guint8 _tmp1_;
#line 219 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp1_ = self->priv->_strength;
#line 219 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		if (((gint) _tmp1_) < 55) {
#line 220 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			result = NETWORK_WIFI_MENU_ITEM_BASE_ICON_NAME "ok" NETWORK_WIFI_MENU_ITEM_SYMBOLIC;
#line 220 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			return result;
#line 1093 "WifiMenuItem.c"
		} else {
			guint8 _tmp2_;
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			_tmp2_ = self->priv->_strength;
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
			if (((gint) _tmp2_) < 80) {
#line 222 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				result = NETWORK_WIFI_MENU_ITEM_BASE_ICON_NAME "good" NETWORK_WIFI_MENU_ITEM_SYMBOLIC;
#line 222 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				return result;
#line 1104 "WifiMenuItem.c"
			} else {
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				result = NETWORK_WIFI_MENU_ITEM_BASE_ICON_NAME "excellent" NETWORK_WIFI_MENU_ITEM_SYMBOLIC;
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
				return result;
#line 1110 "WifiMenuItem.c"
			}
		}
	}
}


NetworkState
network_wifi_menu_item_get_state (NetworkWifiMenuItem* self)
{
	NetworkState result;
	NetworkState _tmp0_;
#line 21 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 21 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_state;
#line 21 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 21 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1130 "WifiMenuItem.c"
}


void
network_wifi_menu_item_set_state (NetworkWifiMenuItem* self,
                                  NetworkState value)
{
#line 21 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 21 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	if (network_wifi_menu_item_get_state (self) != value) {
#line 21 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		self->priv->_state = value;
#line 21 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY]);
#line 1146 "WifiMenuItem.c"
	}
}


GBytes*
network_wifi_menu_item_get_ssid (NetworkWifiMenuItem* self)
{
	GBytes* result;
	GBytes* _tmp0_;
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_ssid;
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1164 "WifiMenuItem.c"
}


static gpointer
_g_bytes_ref0 (gpointer self)
{
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return self ? g_bytes_ref (self) : NULL;
#line 1173 "WifiMenuItem.c"
}


static void
network_wifi_menu_item_set_ssid (NetworkWifiMenuItem* self,
                                 GBytes* value)
{
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	if (network_wifi_menu_item_get_ssid (self) != value) {
#line 1185 "WifiMenuItem.c"
		GBytes* _tmp0_;
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = _g_bytes_ref0 (value);
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		_g_bytes_unref0 (self->priv->_ssid);
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		self->priv->_ssid = _tmp0_;
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY]);
#line 1195 "WifiMenuItem.c"
	}
}


guint8
network_wifi_menu_item_get_strength (NetworkWifiMenuItem* self)
{
	guint8 result;
	guint8 _tmp0_;
#line 23 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 23 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_strength;
#line 23 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 23 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1213 "WifiMenuItem.c"
}


static void
network_wifi_menu_item_set_strength (NetworkWifiMenuItem* self,
                                     guint8 value)
{
#line 23 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 23 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	if (network_wifi_menu_item_get_strength (self) != value) {
#line 23 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		self->priv->_strength = value;
#line 23 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STRENGTH_PROPERTY]);
#line 1229 "WifiMenuItem.c"
	}
}


static void
_network_wifi_menu_item_update_g_object_notify (GObject* _sender,
                                                GParamSpec* pspec,
                                                gpointer self)
{
#line 76 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update ((NetworkWifiMenuItem*) self);
#line 1241 "WifiMenuItem.c"
}


static void
_network_wifi_menu_item___lambda6_ (NetworkWifiMenuItem* self)
{
#line 78 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_start_refresh (self);
#line 1250 "WifiMenuItem.c"
}


static void
__network_wifi_menu_item___lambda6__gtk_widget_map (GtkWidget* _sender,
                                                    gpointer self)
{
#line 78 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_network_wifi_menu_item___lambda6_ ((NetworkWifiMenuItem*) self);
#line 1260 "WifiMenuItem.c"
}


static void
_network_wifi_menu_item___lambda7_ (NetworkWifiMenuItem* self)
{
#line 79 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_stop_refresh (self);
#line 1269 "WifiMenuItem.c"
}


static void
__network_wifi_menu_item___lambda7__gtk_widget_unmap (GtkWidget* _sender,
                                                      gpointer self)
{
#line 79 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_network_wifi_menu_item___lambda7_ ((NetworkWifiMenuItem*) self);
#line 1279 "WifiMenuItem.c"
}


static GObject *
network_wifi_menu_item_constructor (GType type,
                                    guint n_construct_properties,
                                    GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	NetworkWifiMenuItem * self;
	GeeLinkedList* _tmp0_;
	GtkStyleContext* _tmp1_;
	GtkLabel* _tmp2_;
	GtkLabel* _tmp3_;
	GtkLabel* _tmp4_;
	GtkLabel* _tmp5_;
	GtkLabel* _tmp6_;
	GtkLabel* _tmp7_;
	GtkLabel* _tmp8_;
	GtkLabel* _tmp9_;
	GtkImage* _tmp10_;
	GtkImage* _tmp11_;
	GtkImage* _tmp12_;
	GtkImage* _tmp13_;
	GtkImage* _tmp14_;
	GtkImage* _tmp15_;
	GtkImage* _tmp16_;
	GtkSpinner* _tmp17_;
	GtkSpinner* _tmp18_;
	GtkSpinner* _tmp19_;
	GtkSpinner* _tmp20_;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp21_;
	GtkGrid* _tmp22_;
	GtkGrid* _tmp23_;
	GtkImage* _tmp24_;
	GtkGrid* _tmp25_;
	GtkLabel* _tmp26_;
	GtkImage* _tmp27_;
	GtkGrid* _tmp28_;
	GtkLabel* _tmp29_;
	GtkLabel* _tmp30_;
	GtkGrid* _tmp31_;
	GtkSpinner* _tmp32_;
	GtkLabel* _tmp33_;
	GtkGrid* _tmp34_;
	GtkImage* _tmp35_;
	GtkSpinner* _tmp36_;
	GtkGrid* _tmp37_;
	GtkImage* _tmp38_;
	GtkImage* _tmp39_;
	GtkGrid* _tmp40_;
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	parent_class = G_OBJECT_CLASS (network_wifi_menu_item_parent_class);
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 36 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = gee_linked_list_new (nm_access_point_get_type (), (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 36 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->all_aps);
#line 36 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->all_aps = _tmp0_;
#line 37 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 37 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_style_context_add_class (_tmp1_, "menuitem");
#line 39 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new (NULL);
#line 39 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp2_);
#line 39 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->network_label);
#line 39 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->network_label = _tmp2_;
#line 40 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = self->priv->network_label;
#line 40 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp3_, GTK_ALIGN_START);
#line 41 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp4_ = self->priv->network_label;
#line 41 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_set ((GtkWidget*) _tmp4_, "expand", TRUE, NULL);
#line 42 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp5_ = self->priv->network_label;
#line 42 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp5_, 6);
#line 44 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new (NULL);
#line 44 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp6_);
#line 44 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->network_state_label);
#line 44 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->network_state_label = _tmp6_;
#line 45 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp7_ = self->priv->network_state_label;
#line 45 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp7_, GTK_ALIGN_START);
#line 46 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp8_ = self->priv->network_state_label;
#line 46 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_set ((GtkWidget*) _tmp8_, "expand", TRUE, NULL);
#line 47 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp9_ = self->priv->network_state_label;
#line 47 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp9_, 6);
#line 49 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp10_ = (GtkImage*) gtk_image_new ();
#line 49 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp10_);
#line 49 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->img_strength);
#line 49 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->img_strength = _tmp10_;
#line 50 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp11_ = self->priv->img_strength;
#line 50 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_set (_tmp11_, "icon-size", (gint) GTK_ICON_SIZE_LARGE_TOOLBAR, NULL);
#line 51 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp12_ = self->priv->img_strength;
#line 51 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp12_, 6);
#line 53 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp13_ = (GtkImage*) gtk_image_new_from_icon_name ("channel-secure-symbolic", (GtkIconSize) GTK_ICON_SIZE_MENU);
#line 53 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp13_);
#line 53 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->lock_img);
#line 53 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->lock_img = _tmp13_;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp14_ = self->priv->lock_img;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp14_, 6);
#line 57 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp15_ = (GtkImage*) gtk_image_new_from_icon_name ("process-error-symbolic", (GtkIconSize) GTK_ICON_SIZE_MENU);
#line 57 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp15_);
#line 57 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->error_img);
#line 57 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->error_img = _tmp15_;
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp16_ = self->priv->error_img;
#line 58 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp16_, _ ("This wireless network could not be connected to."));
#line 60 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp17_ = (GtkSpinner*) gtk_spinner_new ();
#line 60 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp17_);
#line 60 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->spinner);
#line 60 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->spinner = _tmp17_;
#line 61 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp18_ = self->priv->spinner;
#line 61 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_spinner_start (_tmp18_);
#line 62 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp19_ = self->priv->spinner;
#line 62 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp19_, FALSE);
#line 63 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp20_ = self->priv->spinner;
#line 63 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp20_, TRUE);
#line 65 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp21_ = (GtkGrid*) gtk_grid_new ();
#line 65 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp21_);
#line 65 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	grid = _tmp21_;
#line 66 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp22_ = grid;
#line 66 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_grid_set_column_spacing (_tmp22_, 6);
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp23_ = grid;
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp24_ = self->priv->img_strength;
#line 67 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_grid_attach (_tmp23_, (GtkWidget*) _tmp24_, 0, 0, 1, 2);
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp25_ = grid;
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp26_ = self->priv->network_label;
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp27_ = self->priv->img_strength;
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_grid_attach_next_to (_tmp25_, (GtkWidget*) _tmp26_, (GtkWidget*) _tmp27_, GTK_POS_RIGHT, 1, 1);
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp28_ = grid;
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp29_ = self->priv->network_state_label;
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp30_ = self->priv->network_label;
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_grid_attach_next_to (_tmp28_, (GtkWidget*) _tmp29_, (GtkWidget*) _tmp30_, GTK_POS_BOTTOM, 1, 1);
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp31_ = grid;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp32_ = self->priv->spinner;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp33_ = self->priv->network_label;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_grid_attach_next_to (_tmp31_, (GtkWidget*) _tmp32_, (GtkWidget*) _tmp33_, GTK_POS_RIGHT, 1, 2);
#line 71 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp34_ = grid;
#line 71 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp35_ = self->priv->error_img;
#line 71 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp36_ = self->priv->spinner;
#line 71 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_grid_attach_next_to (_tmp34_, (GtkWidget*) _tmp35_, (GtkWidget*) _tmp36_, GTK_POS_RIGHT, 1, 2);
#line 72 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp37_ = grid;
#line 72 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp38_ = self->priv->lock_img;
#line 72 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp39_ = self->priv->error_img;
#line 72 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_grid_attach_next_to (_tmp37_, (GtkWidget*) _tmp38_, (GtkWidget*) _tmp39_, GTK_POS_RIGHT, 1, 2);
#line 74 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_tmp40_ = grid;
#line 74 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp40_);
#line 76 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GObject*) self, "notify::state", (GCallback) _network_wifi_menu_item_update_g_object_notify, self, 0);
#line 78 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GtkWidget*) self, "map", (GCallback) __network_wifi_menu_item___lambda6__gtk_widget_map, self, 0);
#line 79 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GtkWidget*) self, "unmap", (GCallback) __network_wifi_menu_item___lambda7__gtk_widget_unmap, self, 0);
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (grid);
#line 35 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	return obj;
#line 1519 "WifiMenuItem.c"
}


static void
network_wifi_menu_item_class_init (NetworkWifiMenuItemClass * klass)
{
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_parent_class = g_type_class_peek_parent (klass);
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_type_class_add_private (klass, sizeof (NetworkWifiMenuItemPrivate));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_network_wifi_menu_item_get_property;
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_network_wifi_menu_item_set_property;
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->constructor = network_wifi_menu_item_constructor;
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->finalize = network_wifi_menu_item_finalize;
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY] = g_param_spec_enum ("state", "state", "state", NETWORK_TYPE_STATE, NETWORK_STATE_DISCONNECTED, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY] = g_param_spec_boxed ("ssid", "ssid", "ssid", G_TYPE_BYTES, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_STRENGTH_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STRENGTH_PROPERTY] = g_param_spec_uchar ("strength", "strength", "strength", 0, G_MAXUINT8, (guint8) 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_USER_ACTION_SIGNAL] = g_signal_new ("user-action", NETWORK_TYPE_WIFI_MENU_ITEM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1546 "WifiMenuItem.c"
}


static void
network_wifi_menu_item_instance_init (NetworkWifiMenuItem * self)
{
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv = NETWORK_WIFI_MENU_ITEM_GET_PRIVATE (self);
#line 21 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_state = NETWORK_STATE_DISCONNECTED;
#line 23 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_strength = (guint8) 0;
#line 25 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_rec_mutex_init (&self->priv->__lock_all_aps);
#line 31 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_rec_mutex_init (&self->priv->__lock_refresh_source);
#line 31 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self->priv->refresh_source = (guint) 0;
#line 1565 "WifiMenuItem.c"
}


static void
network_wifi_menu_item_finalize (GObject * obj)
{
	NetworkWifiMenuItem * self;
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 22 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_bytes_unref0 (self->priv->_ssid);
#line 25 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_rec_mutex_clear (&self->priv->__lock_all_aps);
#line 25 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->all_aps);
#line 27 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->img_strength);
#line 28 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->lock_img);
#line 29 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->error_img);
#line 30 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->spinner);
#line 31 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	g_rec_mutex_clear (&self->priv->__lock_refresh_source);
#line 32 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->network_label);
#line 33 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->network_state_label);
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (network_wifi_menu_item_parent_class)->finalize (obj);
#line 1597 "WifiMenuItem.c"
}


GType
network_wifi_menu_item_get_type (void)
{
	return network_wifi_menu_item_type_id;
}


GType
network_wifi_menu_item_register_type (GTypeModule * module)
{
	static const GTypeInfo g_define_type_info = { sizeof (NetworkWifiMenuItemClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_wifi_menu_item_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWifiMenuItem), 0, (GInstanceInitFunc) network_wifi_menu_item_instance_init, NULL };
	network_wifi_menu_item_type_id = g_type_module_register_type (module, gtk_list_box_row_get_type (), "NetworkWifiMenuItem", &g_define_type_info, 0);
	return network_wifi_menu_item_type_id;
}


static void
_vala_network_wifi_menu_item_get_property (GObject * object,
                                           guint property_id,
                                           GValue * value,
                                           GParamSpec * pspec)
{
	NetworkWifiMenuItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	switch (property_id) {
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY:
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_enum (value, network_wifi_menu_item_get_state (self));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY:
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_boxed (value, network_wifi_menu_item_get_ssid (self));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STRENGTH_PROPERTY:
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_uchar (value, network_wifi_menu_item_get_strength (self));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1645 "WifiMenuItem.c"
		default:
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1651 "WifiMenuItem.c"
	}
}


static void
_vala_network_wifi_menu_item_set_property (GObject * object,
                                           guint property_id,
                                           const GValue * value,
                                           GParamSpec * pspec)
{
	NetworkWifiMenuItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
	switch (property_id) {
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY:
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_state (self, g_value_get_enum (value));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY:
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_ssid (self, g_value_get_boxed (value));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STRENGTH_PROPERTY:
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_strength (self, g_value_get_uchar (value));
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1684 "WifiMenuItem.c"
		default:
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 19 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-network-manager/budgie-network-applet/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1690 "WifiMenuItem.c"
	}
}



