/* tile_active.c generated by valac 0.40.19, the Vala compiler
 * generated from tile_active.vala, do not modify */

/*
* ShufflerII
* Author: Jacob Vlijm
* Copyright © 2017-2021 Ubuntu Budgie Developers
* Website=https://ubuntubudgie.org
* This program is free software: you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the Free
* Software Foundation, either version 3 of the License, or any later version.
* This program is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
* more details. You should have received a copy of the GNU General Public
* License along with this program.  If not, see
* <https://www.gnu.org/licenses/>.
*/
/*
/ ordered, -needed- arguments (type int):
/ x_ongrid, y_ongrid, gridcols, gridrows <- this will tile the active window
/ then optional ordered (unnamed, after the above) arguments (type int):
/ xspan, yspan
/ optional arguments after the above (unordered, type string):
/ id=<xid>, monitor=<monitor>, "nosoftmove", "windowrule", "fromgrid"
/ tile_active first reads all int args to create the position & size
/ section of the command, then collects the other args to set parameters.
/ the alternative (only) "maximize" argument will toggle maximize.
*/


#include <glib.h>
#include <glib-object.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>


#define NEW_TILE_ACTIVE_TYPE_SHUFFLER_INFO_CLIENT (new_tile_active_shuffler_info_client_get_type ())
#define NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NEW_TILE_ACTIVE_TYPE_SHUFFLER_INFO_CLIENT, NewTileActiveShufflerInfoClient))
#define NEW_TILE_ACTIVE_IS_SHUFFLER_INFO_CLIENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NEW_TILE_ACTIVE_TYPE_SHUFFLER_INFO_CLIENT))
#define NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NEW_TILE_ACTIVE_TYPE_SHUFFLER_INFO_CLIENT, NewTileActiveShufflerInfoClientIface))

typedef struct _NewTileActiveShufflerInfoClient NewTileActiveShufflerInfoClient;
typedef struct _NewTileActiveShufflerInfoClientIface NewTileActiveShufflerInfoClientIface;

#define NEW_TILE_ACTIVE_TYPE_SHUFFLER_INFO_CLIENT_PROXY (new_tile_active_shuffler_info_client_proxy_get_type ())
typedef GDBusProxy NewTileActiveShufflerInfoClientProxy;
typedef GDBusProxyClass NewTileActiveShufflerInfoClientProxyClass;
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _NewTileActiveShufflerInfoClientIface {
	GTypeInterface parent_iface;
	GHashTable* (*get_winsdata) (NewTileActiveShufflerInfoClient* self, GError** error);
	gint (*getactivewin) (NewTileActiveShufflerInfoClient* self, GError** error);
	GHashTable* (*get_tiles) (NewTileActiveShufflerInfoClient* self, const gchar* mon, gint cols, gint rows, GError** error);
	void (*move_window) (NewTileActiveShufflerInfoClient* self, gint wid, gint x, gint y, gint width, gint height, gboolean nowarning, GError** error);
	void (*move_window_animated) (NewTileActiveShufflerInfoClient* self, gint wid, gint x, gint y, gint width, gint height, GError** error);
	gint* (*get_winspecs) (NewTileActiveShufflerInfoClient* self, gint w_id, int* result_length1, GError** error);
	gboolean (*check_ifguiruns) (NewTileActiveShufflerInfoClient* self, GError** error);
	gint (*check_windowvalid) (NewTileActiveShufflerInfoClient* self, gint wid, GError** error);
	gboolean (*get_softmove) (NewTileActiveShufflerInfoClient* self, GError** error);
	gboolean (*get_general_animations_set) (NewTileActiveShufflerInfoClient* self, GError** error);
	gint* (*get_margins) (NewTileActiveShufflerInfoClient* self, int* result_length1, GError** error);
	void (*toggle_maximize) (NewTileActiveShufflerInfoClient* self, gint w_arg, GError** error);
	GHashTable* (*get_monitorgeometry) (NewTileActiveShufflerInfoClient* self, GError** error);
};


extern NewTileActiveShufflerInfoClient* new_tile_active_client;
NewTileActiveShufflerInfoClient* new_tile_active_client = NULL;

GType new_tile_active_shuffler_info_client_proxy_get_type (void) G_GNUC_CONST;
guint new_tile_active_shuffler_info_client_register_object (void* object,
                                                            GDBusConnection* connection,
                                                            const gchar* path,
                                                            GError** error);
GType new_tile_active_shuffler_info_client_get_type (void) G_GNUC_CONST;
GHashTable* new_tile_active_shuffler_info_client_get_winsdata (NewTileActiveShufflerInfoClient* self,
                                                               GError** error);
gint new_tile_active_shuffler_info_client_getactivewin (NewTileActiveShufflerInfoClient* self,
                                                        GError** error);
GHashTable* new_tile_active_shuffler_info_client_get_tiles (NewTileActiveShufflerInfoClient* self,
                                                            const gchar* mon,
                                                            gint cols,
                                                            gint rows,
                                                            GError** error);
void new_tile_active_shuffler_info_client_move_window (NewTileActiveShufflerInfoClient* self,
                                                       gint wid,
                                                       gint x,
                                                       gint y,
                                                       gint width,
                                                       gint height,
                                                       gboolean nowarning,
                                                       GError** error);
void new_tile_active_shuffler_info_client_move_window_animated (NewTileActiveShufflerInfoClient* self,
                                                                gint wid,
                                                                gint x,
                                                                gint y,
                                                                gint width,
                                                                gint height,
                                                                GError** error);
gint* new_tile_active_shuffler_info_client_get_winspecs (NewTileActiveShufflerInfoClient* self,
                                                         gint w_id,
                                                         int* result_length1,
                                                         GError** error);
gboolean new_tile_active_shuffler_info_client_check_ifguiruns (NewTileActiveShufflerInfoClient* self,
                                                               GError** error);
gint new_tile_active_shuffler_info_client_check_windowvalid (NewTileActiveShufflerInfoClient* self,
                                                             gint wid,
                                                             GError** error);
gboolean new_tile_active_shuffler_info_client_get_softmove (NewTileActiveShufflerInfoClient* self,
                                                            GError** error);
gboolean new_tile_active_shuffler_info_client_get_general_animations_set (NewTileActiveShufflerInfoClient* self,
                                                                          GError** error);
gint* new_tile_active_shuffler_info_client_get_margins (NewTileActiveShufflerInfoClient* self,
                                                        int* result_length1,
                                                        GError** error);
void new_tile_active_shuffler_info_client_toggle_maximize (NewTileActiveShufflerInfoClient* self,
                                                           gint w_arg,
                                                           GError** error);
GHashTable* new_tile_active_shuffler_info_client_get_monitorgeometry (NewTileActiveShufflerInfoClient* self,
                                                                      GError** error);
static void new_tile_active_shuffler_info_client_proxy_g_signal (GDBusProxy* proxy,
                                                          const gchar* sender_name,
                                                          const gchar* signal_name,
                                                          GVariant* parameters);
static GHashTable* new_tile_active_shuffler_info_client_proxy_get_winsdata (NewTileActiveShufflerInfoClient* self,
                                                                     GError** error);
static gint new_tile_active_shuffler_info_client_proxy_getactivewin (NewTileActiveShufflerInfoClient* self,
                                                              GError** error);
static GHashTable* new_tile_active_shuffler_info_client_proxy_get_tiles (NewTileActiveShufflerInfoClient* self,
                                                                  const gchar* mon,
                                                                  gint cols,
                                                                  gint rows,
                                                                  GError** error);
static void new_tile_active_shuffler_info_client_proxy_move_window (NewTileActiveShufflerInfoClient* self,
                                                             gint wid,
                                                             gint x,
                                                             gint y,
                                                             gint width,
                                                             gint height,
                                                             gboolean nowarning,
                                                             GError** error);
static void new_tile_active_shuffler_info_client_proxy_move_window_animated (NewTileActiveShufflerInfoClient* self,
                                                                      gint wid,
                                                                      gint x,
                                                                      gint y,
                                                                      gint width,
                                                                      gint height,
                                                                      GError** error);
static gint* new_tile_active_shuffler_info_client_proxy_get_winspecs (NewTileActiveShufflerInfoClient* self,
                                                               gint w_id,
                                                               int* result_length1,
                                                               GError** error);
static gboolean new_tile_active_shuffler_info_client_proxy_check_ifguiruns (NewTileActiveShufflerInfoClient* self,
                                                                     GError** error);
static gint new_tile_active_shuffler_info_client_proxy_check_windowvalid (NewTileActiveShufflerInfoClient* self,
                                                                   gint wid,
                                                                   GError** error);
static gboolean new_tile_active_shuffler_info_client_proxy_get_softmove (NewTileActiveShufflerInfoClient* self,
                                                                  GError** error);
static gboolean new_tile_active_shuffler_info_client_proxy_get_general_animations_set (NewTileActiveShufflerInfoClient* self,
                                                                                GError** error);
static gint* new_tile_active_shuffler_info_client_proxy_get_margins (NewTileActiveShufflerInfoClient* self,
                                                              int* result_length1,
                                                              GError** error);
static void new_tile_active_shuffler_info_client_proxy_toggle_maximize (NewTileActiveShufflerInfoClient* self,
                                                                 gint w_arg,
                                                                 GError** error);
static GHashTable* new_tile_active_shuffler_info_client_proxy_get_monitorgeometry (NewTileActiveShufflerInfoClient* self,
                                                                            GError** error);
static void new_tile_active_shuffler_info_client_proxy_new_tile_active_shuffler_info_client_interface_init (NewTileActiveShufflerInfoClientIface* iface);
static void _dbus_new_tile_active_shuffler_info_client_get_winsdata (NewTileActiveShufflerInfoClient* self,
                                                              GVariant* _parameters_,
                                                              GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_getactivewin (NewTileActiveShufflerInfoClient* self,
                                                              GVariant* _parameters_,
                                                              GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_get_tiles (NewTileActiveShufflerInfoClient* self,
                                                           GVariant* _parameters_,
                                                           GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_move_window (NewTileActiveShufflerInfoClient* self,
                                                             GVariant* _parameters_,
                                                             GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_move_window_animated (NewTileActiveShufflerInfoClient* self,
                                                                      GVariant* _parameters_,
                                                                      GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_get_winspecs (NewTileActiveShufflerInfoClient* self,
                                                              GVariant* _parameters_,
                                                              GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_check_ifguiruns (NewTileActiveShufflerInfoClient* self,
                                                                 GVariant* _parameters_,
                                                                 GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_check_windowvalid (NewTileActiveShufflerInfoClient* self,
                                                                   GVariant* _parameters_,
                                                                   GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_get_softmove (NewTileActiveShufflerInfoClient* self,
                                                              GVariant* _parameters_,
                                                              GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_get_general_animations_set (NewTileActiveShufflerInfoClient* self,
                                                                            GVariant* _parameters_,
                                                                            GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_get_margins (NewTileActiveShufflerInfoClient* self,
                                                             GVariant* _parameters_,
                                                             GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_toggle_maximize (NewTileActiveShufflerInfoClient* self,
                                                                 GVariant* _parameters_,
                                                                 GDBusMethodInvocation* invocation);
static void _dbus_new_tile_active_shuffler_info_client_get_monitorgeometry (NewTileActiveShufflerInfoClient* self,
                                                                     GVariant* _parameters_,
                                                                     GDBusMethodInvocation* invocation);
static void new_tile_active_shuffler_info_client_dbus_interface_method_call (GDBusConnection* connection,
                                                                      const gchar* sender,
                                                                      const gchar* object_path,
                                                                      const gchar* interface_name,
                                                                      const gchar* method_name,
                                                                      GVariant* parameters,
                                                                      GDBusMethodInvocation* invocation,
                                                                      gpointer user_data);
static GVariant* new_tile_active_shuffler_info_client_dbus_interface_get_property (GDBusConnection* connection,
                                                                            const gchar* sender,
                                                                            const gchar* object_path,
                                                                            const gchar* interface_name,
                                                                            const gchar* property_name,
                                                                            GError** error,
                                                                            gpointer user_data);
static gboolean new_tile_active_shuffler_info_client_dbus_interface_set_property (GDBusConnection* connection,
                                                                           const gchar* sender,
                                                                           const gchar* object_path,
                                                                           const gchar* interface_name,
                                                                           const gchar* property_name,
                                                                           GVariant* value,
                                                                           GError** error,
                                                                           gpointer user_data);
static void _new_tile_active_shuffler_info_client_unregister_object (gpointer user_data);
gboolean new_tile_active_string_inlist (const gchar* lookfor,
                                        gchar** arr,
                                        int arr_length1);
gboolean new_tile_active_monitor_isvalid (NewTileActiveShufflerInfoClient* client,
                                          const gchar* monitor,
                                          GHashTable* monitordata);
static void _vala_array_add1 (gchar** * array,
                       int* length,
                       int* size,
                       gchar* value);
gboolean* new_tile_active_check_position_isequal (gint* origin,
                                                  int origin_length1,
                                                  gint* target,
                                                  int target_length1,
                                                  gint* margins,
                                                  int margins_length1,
                                                  int* result_length1);
gint* new_tile_active_try_isint (const gchar* stringarg);
static gint* _int_dup (gint* self);
void new_tile_active_main (gchar** args,
                           int args_length1);
static gchar* _variant_get1 (GVariant* value);
static gint _variant_get2 (GVariant* value);
static gint _variant_get3 (GVariant* value);
static gint _variant_get4 (GVariant* value);
static gint _variant_get5 (GVariant* value);
static gint _variant_get6 (GVariant* value);
static void _vala_array_add2 (gint* * array,
                       int* length,
                       int* size,
                       gint value);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);

static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_winsdata_result = {-1, "result", "a{sv}", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_winsdata_in[] = {NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_winsdata_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_get_winsdata_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_get_winsdata = {-1, "GetWinsdata", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_winsdata_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_winsdata_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_getactivewin_result = {-1, "result", "i", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_getactivewin_in[] = {NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_getactivewin_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_getactivewin_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_getactivewin = {-1, "Getactivewin", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_getactivewin_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_getactivewin_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_mon = {-1, "mon", "s", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_cols = {-1, "cols", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_rows = {-1, "rows", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_result = {-1, "result", "a{sv}", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_in[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_mon, &_new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_cols, &_new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_rows, NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_get_tiles = {-1, "GetTiles", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_tiles_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_wid = {-1, "wid", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_x = {-1, "x", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_y = {-1, "y", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_width = {-1, "width", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_height = {-1, "height", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_nowarning = {-1, "nowarning", "b", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_in[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_wid, &_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_x, &_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_y, &_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_width, &_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_height, &_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_nowarning, NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_out[] = {NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_move_window = {-1, "MoveWindow", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_wid = {-1, "wid", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_x = {-1, "x", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_y = {-1, "y", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_width = {-1, "width", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_height = {-1, "height", "i", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_in[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_wid, &_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_x, &_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_y, &_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_width, &_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_height, NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_out[] = {NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_move_window_animated = {-1, "MoveWindowAnimated", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_move_window_animated_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_winspecs_w_id = {-1, "w_id", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_winspecs_result = {-1, "result", "ai", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_winspecs_in[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_get_winspecs_w_id, NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_winspecs_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_get_winspecs_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_get_winspecs = {-1, "GetWinspecs", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_winspecs_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_winspecs_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_check_ifguiruns_result = {-1, "result", "b", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_check_ifguiruns_in[] = {NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_check_ifguiruns_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_check_ifguiruns_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_check_ifguiruns = {-1, "CheckIfguiruns", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_check_ifguiruns_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_check_ifguiruns_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_check_windowvalid_wid = {-1, "wid", "i", NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_check_windowvalid_result = {-1, "result", "i", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_check_windowvalid_in[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_check_windowvalid_wid, NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_check_windowvalid_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_check_windowvalid_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_check_windowvalid = {-1, "CheckWindowvalid", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_check_windowvalid_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_check_windowvalid_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_softmove_result = {-1, "result", "b", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_softmove_in[] = {NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_softmove_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_get_softmove_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_get_softmove = {-1, "GetSoftmove", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_softmove_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_softmove_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_general_animations_set_result = {-1, "result", "b", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_general_animations_set_in[] = {NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_general_animations_set_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_get_general_animations_set_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_get_general_animations_set = {-1, "GetGeneralAnimationsSet", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_general_animations_set_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_general_animations_set_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_margins_result = {-1, "result", "ai", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_margins_in[] = {NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_margins_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_get_margins_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_get_margins = {-1, "GetMargins", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_margins_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_margins_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_toggle_maximize_w_arg = {-1, "w_arg", "i", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_toggle_maximize_in[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_toggle_maximize_w_arg, NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_toggle_maximize_out[] = {NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_toggle_maximize = {-1, "ToggleMaximize", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_toggle_maximize_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_toggle_maximize_out), NULL};
static const GDBusArgInfo _new_tile_active_shuffler_info_client_dbus_arg_info_get_monitorgeometry_result = {-1, "result", "a{sv}", NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_monitorgeometry_in[] = {NULL};
static const GDBusArgInfo * const _new_tile_active_shuffler_info_client_dbus_arg_info_get_monitorgeometry_out[] = {&_new_tile_active_shuffler_info_client_dbus_arg_info_get_monitorgeometry_result, NULL};
static const GDBusMethodInfo _new_tile_active_shuffler_info_client_dbus_method_info_get_monitorgeometry = {-1, "GetMonitorgeometry", (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_monitorgeometry_in), (GDBusArgInfo **) (&_new_tile_active_shuffler_info_client_dbus_arg_info_get_monitorgeometry_out), NULL};
static const GDBusMethodInfo * const _new_tile_active_shuffler_info_client_dbus_method_info[] = {&_new_tile_active_shuffler_info_client_dbus_method_info_get_winsdata, &_new_tile_active_shuffler_info_client_dbus_method_info_getactivewin, &_new_tile_active_shuffler_info_client_dbus_method_info_get_tiles, &_new_tile_active_shuffler_info_client_dbus_method_info_move_window, &_new_tile_active_shuffler_info_client_dbus_method_info_move_window_animated, &_new_tile_active_shuffler_info_client_dbus_method_info_get_winspecs, &_new_tile_active_shuffler_info_client_dbus_method_info_check_ifguiruns, &_new_tile_active_shuffler_info_client_dbus_method_info_check_windowvalid, &_new_tile_active_shuffler_info_client_dbus_method_info_get_softmove, &_new_tile_active_shuffler_info_client_dbus_method_info_get_general_animations_set, &_new_tile_active_shuffler_info_client_dbus_method_info_get_margins, &_new_tile_active_shuffler_info_client_dbus_method_info_toggle_maximize, &_new_tile_active_shuffler_info_client_dbus_method_info_get_monitorgeometry, NULL};
static const GDBusSignalInfo * const _new_tile_active_shuffler_info_client_dbus_signal_info[] = {NULL};
static const GDBusPropertyInfo * const _new_tile_active_shuffler_info_client_dbus_property_info[] = {NULL};
static const GDBusInterfaceInfo _new_tile_active_shuffler_info_client_dbus_interface_info = {-1, "org.UbuntuBudgie.ShufflerInfoDaemon", (GDBusMethodInfo **) (&_new_tile_active_shuffler_info_client_dbus_method_info), (GDBusSignalInfo **) (&_new_tile_active_shuffler_info_client_dbus_signal_info), (GDBusPropertyInfo **) (&_new_tile_active_shuffler_info_client_dbus_property_info), NULL};
static const GDBusInterfaceVTable _new_tile_active_shuffler_info_client_dbus_interface_vtable = {new_tile_active_shuffler_info_client_dbus_interface_method_call, new_tile_active_shuffler_info_client_dbus_interface_get_property, new_tile_active_shuffler_info_client_dbus_interface_set_property};

GHashTable*
new_tile_active_shuffler_info_client_get_winsdata (NewTileActiveShufflerInfoClient* self,
                                                   GError** error)
{
#line 38 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 38 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->get_winsdata (self, error);
#line 362 "tile_active.c"
}


gint
new_tile_active_shuffler_info_client_getactivewin (NewTileActiveShufflerInfoClient* self,
                                                   GError** error)
{
#line 39 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 39 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->getactivewin (self, error);
#line 374 "tile_active.c"
}


GHashTable*
new_tile_active_shuffler_info_client_get_tiles (NewTileActiveShufflerInfoClient* self,
                                                const gchar* mon,
                                                gint cols,
                                                gint rows,
                                                GError** error)
{
#line 40 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 40 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->get_tiles (self, mon, cols, rows, error);
#line 389 "tile_active.c"
}


void
new_tile_active_shuffler_info_client_move_window (NewTileActiveShufflerInfoClient* self,
                                                  gint wid,
                                                  gint x,
                                                  gint y,
                                                  gint width,
                                                  gint height,
                                                  gboolean nowarning,
                                                  GError** error)
{
#line 41 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_if_fail (self != NULL);
#line 41 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->move_window (self, wid, x, y, width, height, nowarning, error);
#line 407 "tile_active.c"
}


void
new_tile_active_shuffler_info_client_move_window_animated (NewTileActiveShufflerInfoClient* self,
                                                           gint wid,
                                                           gint x,
                                                           gint y,
                                                           gint width,
                                                           gint height,
                                                           GError** error)
{
#line 42 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_if_fail (self != NULL);
#line 42 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->move_window_animated (self, wid, x, y, width, height, error);
#line 424 "tile_active.c"
}


gint*
new_tile_active_shuffler_info_client_get_winspecs (NewTileActiveShufflerInfoClient* self,
                                                   gint w_id,
                                                   int* result_length1,
                                                   GError** error)
{
#line 43 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 43 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->get_winspecs (self, w_id, result_length1, error);
#line 438 "tile_active.c"
}


gboolean
new_tile_active_shuffler_info_client_check_ifguiruns (NewTileActiveShufflerInfoClient* self,
                                                      GError** error)
{
#line 44 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 44 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->check_ifguiruns (self, error);
#line 450 "tile_active.c"
}


gint
new_tile_active_shuffler_info_client_check_windowvalid (NewTileActiveShufflerInfoClient* self,
                                                        gint wid,
                                                        GError** error)
{
#line 45 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 45 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->check_windowvalid (self, wid, error);
#line 463 "tile_active.c"
}


gboolean
new_tile_active_shuffler_info_client_get_softmove (NewTileActiveShufflerInfoClient* self,
                                                   GError** error)
{
#line 46 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 46 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->get_softmove (self, error);
#line 475 "tile_active.c"
}


gboolean
new_tile_active_shuffler_info_client_get_general_animations_set (NewTileActiveShufflerInfoClient* self,
                                                                 GError** error)
{
#line 47 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 47 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->get_general_animations_set (self, error);
#line 487 "tile_active.c"
}


gint*
new_tile_active_shuffler_info_client_get_margins (NewTileActiveShufflerInfoClient* self,
                                                  int* result_length1,
                                                  GError** error)
{
#line 48 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 48 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->get_margins (self, result_length1, error);
#line 500 "tile_active.c"
}


void
new_tile_active_shuffler_info_client_toggle_maximize (NewTileActiveShufflerInfoClient* self,
                                                      gint w_arg,
                                                      GError** error)
{
#line 49 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_if_fail (self != NULL);
#line 49 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->toggle_maximize (self, w_arg, error);
#line 513 "tile_active.c"
}


GHashTable*
new_tile_active_shuffler_info_client_get_monitorgeometry (NewTileActiveShufflerInfoClient* self,
                                                          GError** error)
{
#line 50 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 50 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return NEW_TILE_ACTIVE_SHUFFLER_INFO_CLIENT_GET_INTERFACE (self)->get_monitorgeometry (self, error);
#line 525 "tile_active.c"
}


static void
new_tile_active_shuffler_info_client_default_init (NewTileActiveShufflerInfoClientIface * iface)
{
}


GType
new_tile_active_shuffler_info_client_get_type (void)
{
	static volatile gsize new_tile_active_shuffler_info_client_type_id__volatile = 0;
	if (g_once_init_enter (&new_tile_active_shuffler_info_client_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NewTileActiveShufflerInfoClientIface), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) new_tile_active_shuffler_info_client_default_init, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
		GType new_tile_active_shuffler_info_client_type_id;
		new_tile_active_shuffler_info_client_type_id = g_type_register_static (G_TYPE_INTERFACE, "NewTileActiveShufflerInfoClient", &g_define_type_info, 0);
		g_type_interface_add_prerequisite (new_tile_active_shuffler_info_client_type_id, G_TYPE_OBJECT);
		g_type_set_qdata (new_tile_active_shuffler_info_client_type_id, g_quark_from_static_string ("vala-dbus-proxy-type"), (void*) new_tile_active_shuffler_info_client_proxy_get_type);
		g_type_set_qdata (new_tile_active_shuffler_info_client_type_id, g_quark_from_static_string ("vala-dbus-interface-name"), "org.UbuntuBudgie.ShufflerInfoDaemon");
		g_type_set_qdata (new_tile_active_shuffler_info_client_type_id, g_quark_from_static_string ("vala-dbus-interface-info"), (void*) (&_new_tile_active_shuffler_info_client_dbus_interface_info));
		g_type_set_qdata (new_tile_active_shuffler_info_client_type_id, g_quark_from_static_string ("vala-dbus-register-object"), (void*) new_tile_active_shuffler_info_client_register_object);
		g_once_init_leave (&new_tile_active_shuffler_info_client_type_id__volatile, new_tile_active_shuffler_info_client_type_id);
	}
	return new_tile_active_shuffler_info_client_type_id__volatile;
}


G_DEFINE_TYPE_EXTENDED (NewTileActiveShufflerInfoClientProxy, new_tile_active_shuffler_info_client_proxy, G_TYPE_DBUS_PROXY, 0, G_IMPLEMENT_INTERFACE (NEW_TILE_ACTIVE_TYPE_SHUFFLER_INFO_CLIENT, new_tile_active_shuffler_info_client_proxy_new_tile_active_shuffler_info_client_interface_init) )
static void
new_tile_active_shuffler_info_client_proxy_class_init (NewTileActiveShufflerInfoClientProxyClass* klass)
{
	G_DBUS_PROXY_CLASS (klass)->g_signal = new_tile_active_shuffler_info_client_proxy_g_signal;
}


static void
new_tile_active_shuffler_info_client_proxy_g_signal (GDBusProxy* proxy,
                                                     const gchar* sender_name,
                                                     const gchar* signal_name,
                                                     GVariant* parameters)
{
}


static void
new_tile_active_shuffler_info_client_proxy_init (NewTileActiveShufflerInfoClientProxy* self)
{
}


static GHashTable*
new_tile_active_shuffler_info_client_proxy_get_winsdata (NewTileActiveShufflerInfoClient* self,
                                                         GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	GHashTable* _result = NULL;
	GVariant* _tmp0_;
	GHashTable* _tmp1_;
	GVariantIter _tmp2_;
	GVariant* _tmp3_;
	GVariant* _tmp4_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "GetWinsdata");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		return NULL;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		g_object_unref (_reply_message);
		return NULL;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_tmp0_ = g_variant_iter_next_value (&_reply_iter);
	_tmp1_ = g_hash_table_new_full (g_str_hash, g_str_equal, g_free, (GDestroyNotify) g_variant_unref);
	g_variant_iter_init (&_tmp2_, _tmp0_);
	while (g_variant_iter_loop (&_tmp2_, "{?*}", &_tmp3_, &_tmp4_)) {
		g_hash_table_insert (_tmp1_, g_variant_dup_string (_tmp3_, NULL), g_variant_get_variant (_tmp4_));
	}
	_result = _tmp1_;
	g_variant_unref (_tmp0_);
	g_object_unref (_reply_message);
	return _result;
}


static gint
new_tile_active_shuffler_info_client_proxy_getactivewin (NewTileActiveShufflerInfoClient* self,
                                                         GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	gint _result = 0;
	GVariant* _tmp7_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "Getactivewin");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		gint _tmp5_ = 0;
		return _tmp5_;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		gint _tmp6_ = 0;
		g_object_unref (_reply_message);
		return _tmp6_;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_tmp7_ = g_variant_iter_next_value (&_reply_iter);
	_result = g_variant_get_int32 (_tmp7_);
	g_variant_unref (_tmp7_);
	g_object_unref (_reply_message);
	return _result;
}


static GHashTable*
new_tile_active_shuffler_info_client_proxy_get_tiles (NewTileActiveShufflerInfoClient* self,
                                                      const gchar* mon,
                                                      gint cols,
                                                      gint rows,
                                                      GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	GHashTable* _result = NULL;
	GVariant* _tmp8_;
	GHashTable* _tmp9_;
	GVariantIter _tmp10_;
	GVariant* _tmp11_;
	GVariant* _tmp12_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "GetTiles");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_string (mon));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (cols));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (rows));
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		return NULL;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		g_object_unref (_reply_message);
		return NULL;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_tmp8_ = g_variant_iter_next_value (&_reply_iter);
	_tmp9_ = g_hash_table_new_full (g_str_hash, g_str_equal, g_free, (GDestroyNotify) g_variant_unref);
	g_variant_iter_init (&_tmp10_, _tmp8_);
	while (g_variant_iter_loop (&_tmp10_, "{?*}", &_tmp11_, &_tmp12_)) {
		g_hash_table_insert (_tmp9_, g_variant_dup_string (_tmp11_, NULL), g_variant_get_variant (_tmp12_));
	}
	_result = _tmp9_;
	g_variant_unref (_tmp8_);
	g_object_unref (_reply_message);
	return _result;
}


static void
new_tile_active_shuffler_info_client_proxy_move_window (NewTileActiveShufflerInfoClient* self,
                                                        gint wid,
                                                        gint x,
                                                        gint y,
                                                        gint width,
                                                        gint height,
                                                        gboolean nowarning,
                                                        GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "MoveWindow");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (wid));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (x));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (y));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (width));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (height));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_boolean (nowarning));
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		return;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		g_object_unref (_reply_message);
		return;
	}
	g_object_unref (_reply_message);
}


static void
new_tile_active_shuffler_info_client_proxy_move_window_animated (NewTileActiveShufflerInfoClient* self,
                                                                 gint wid,
                                                                 gint x,
                                                                 gint y,
                                                                 gint width,
                                                                 gint height,
                                                                 GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "MoveWindowAnimated");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (wid));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (x));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (y));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (width));
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (height));
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		return;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		g_object_unref (_reply_message);
		return;
	}
	g_object_unref (_reply_message);
}


static gint*
new_tile_active_shuffler_info_client_proxy_get_winspecs (NewTileActiveShufflerInfoClient* self,
                                                         gint w_id,
                                                         int* result_length1,
                                                         GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	gint* _result = NULL;
	int _result_length1;
	GVariant* _tmp13_;
	gint* _tmp14_;
	int _tmp14__length;
	int _tmp14__size;
	int _tmp14__length1;
	GVariantIter _tmp15_;
	GVariant* _tmp16_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "GetWinspecs");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (w_id));
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		return NULL;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		g_object_unref (_reply_message);
		return NULL;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_result_length1 = 0;
	_tmp13_ = g_variant_iter_next_value (&_reply_iter);
	_tmp14_ = g_new (gint, 5);
	_tmp14__length = 0;
	_tmp14__size = 4;
	_tmp14__length1 = 0;
	g_variant_iter_init (&_tmp15_, _tmp13_);
	for (; (_tmp16_ = g_variant_iter_next_value (&_tmp15_)) != NULL; _tmp14__length1++) {
		if (_tmp14__size == _tmp14__length) {
			_tmp14__size = 2 * _tmp14__size;
			_tmp14_ = g_renew (gint, _tmp14_, _tmp14__size + 1);
		}
		_tmp14_[_tmp14__length++] = g_variant_get_int32 (_tmp16_);
		g_variant_unref (_tmp16_);
	}
	_result_length1 = _tmp14__length1;
	_result = _tmp14_;
	g_variant_unref (_tmp13_);
	*result_length1 = _result_length1;
	g_object_unref (_reply_message);
	return _result;
}


static gboolean
new_tile_active_shuffler_info_client_proxy_check_ifguiruns (NewTileActiveShufflerInfoClient* self,
                                                            GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	gboolean _result = FALSE;
	GVariant* _tmp19_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "CheckIfguiruns");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		gboolean _tmp17_ = FALSE;
		return _tmp17_;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		gboolean _tmp18_ = FALSE;
		g_object_unref (_reply_message);
		return _tmp18_;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_tmp19_ = g_variant_iter_next_value (&_reply_iter);
	_result = g_variant_get_boolean (_tmp19_);
	g_variant_unref (_tmp19_);
	g_object_unref (_reply_message);
	return _result;
}


static gint
new_tile_active_shuffler_info_client_proxy_check_windowvalid (NewTileActiveShufflerInfoClient* self,
                                                              gint wid,
                                                              GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	gint _result = 0;
	GVariant* _tmp22_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "CheckWindowvalid");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (wid));
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		gint _tmp20_ = 0;
		return _tmp20_;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		gint _tmp21_ = 0;
		g_object_unref (_reply_message);
		return _tmp21_;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_tmp22_ = g_variant_iter_next_value (&_reply_iter);
	_result = g_variant_get_int32 (_tmp22_);
	g_variant_unref (_tmp22_);
	g_object_unref (_reply_message);
	return _result;
}


static gboolean
new_tile_active_shuffler_info_client_proxy_get_softmove (NewTileActiveShufflerInfoClient* self,
                                                         GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	gboolean _result = FALSE;
	GVariant* _tmp25_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "GetSoftmove");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		gboolean _tmp23_ = FALSE;
		return _tmp23_;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		gboolean _tmp24_ = FALSE;
		g_object_unref (_reply_message);
		return _tmp24_;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_tmp25_ = g_variant_iter_next_value (&_reply_iter);
	_result = g_variant_get_boolean (_tmp25_);
	g_variant_unref (_tmp25_);
	g_object_unref (_reply_message);
	return _result;
}


static gboolean
new_tile_active_shuffler_info_client_proxy_get_general_animations_set (NewTileActiveShufflerInfoClient* self,
                                                                       GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	gboolean _result = FALSE;
	GVariant* _tmp28_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "GetGeneralAnimationsSet");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		gboolean _tmp26_ = FALSE;
		return _tmp26_;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		gboolean _tmp27_ = FALSE;
		g_object_unref (_reply_message);
		return _tmp27_;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_tmp28_ = g_variant_iter_next_value (&_reply_iter);
	_result = g_variant_get_boolean (_tmp28_);
	g_variant_unref (_tmp28_);
	g_object_unref (_reply_message);
	return _result;
}


static gint*
new_tile_active_shuffler_info_client_proxy_get_margins (NewTileActiveShufflerInfoClient* self,
                                                        int* result_length1,
                                                        GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	gint* _result = NULL;
	int _result_length1;
	GVariant* _tmp29_;
	gint* _tmp30_;
	int _tmp30__length;
	int _tmp30__size;
	int _tmp30__length1;
	GVariantIter _tmp31_;
	GVariant* _tmp32_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "GetMargins");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		return NULL;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		g_object_unref (_reply_message);
		return NULL;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_result_length1 = 0;
	_tmp29_ = g_variant_iter_next_value (&_reply_iter);
	_tmp30_ = g_new (gint, 5);
	_tmp30__length = 0;
	_tmp30__size = 4;
	_tmp30__length1 = 0;
	g_variant_iter_init (&_tmp31_, _tmp29_);
	for (; (_tmp32_ = g_variant_iter_next_value (&_tmp31_)) != NULL; _tmp30__length1++) {
		if (_tmp30__size == _tmp30__length) {
			_tmp30__size = 2 * _tmp30__size;
			_tmp30_ = g_renew (gint, _tmp30_, _tmp30__size + 1);
		}
		_tmp30_[_tmp30__length++] = g_variant_get_int32 (_tmp32_);
		g_variant_unref (_tmp32_);
	}
	_result_length1 = _tmp30__length1;
	_result = _tmp30_;
	g_variant_unref (_tmp29_);
	*result_length1 = _result_length1;
	g_object_unref (_reply_message);
	return _result;
}


static void
new_tile_active_shuffler_info_client_proxy_toggle_maximize (NewTileActiveShufflerInfoClient* self,
                                                            gint w_arg,
                                                            GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "ToggleMaximize");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_arguments_builder, g_variant_new_int32 (w_arg));
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		return;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		g_object_unref (_reply_message);
		return;
	}
	g_object_unref (_reply_message);
}


static GHashTable*
new_tile_active_shuffler_info_client_proxy_get_monitorgeometry (NewTileActiveShufflerInfoClient* self,
                                                                GError** error)
{
	GDBusMessage *_message;
	GVariant *_arguments;
	GVariantBuilder _arguments_builder;
	GDBusMessage *_reply_message;
	GVariant *_reply;
	GVariantIter _reply_iter;
	GHashTable* _result = NULL;
	GVariant* _tmp33_;
	GHashTable* _tmp34_;
	GVariantIter _tmp35_;
	GVariant* _tmp36_;
	GVariant* _tmp37_;
	_message = g_dbus_message_new_method_call (g_dbus_proxy_get_name ((GDBusProxy *) self), g_dbus_proxy_get_object_path ((GDBusProxy *) self), "org.UbuntuBudgie.ShufflerInfoDaemon", "GetMonitorgeometry");
	g_variant_builder_init (&_arguments_builder, G_VARIANT_TYPE_TUPLE);
	_arguments = g_variant_builder_end (&_arguments_builder);
	g_dbus_message_set_body (_message, _arguments);
	_reply_message = g_dbus_connection_send_message_with_reply_sync (g_dbus_proxy_get_connection ((GDBusProxy *) self), _message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, g_dbus_proxy_get_default_timeout ((GDBusProxy *) self), NULL, NULL, error);
	g_object_unref (_message);
	if (!_reply_message) {
		return NULL;
	}
	if (g_dbus_message_to_gerror (_reply_message, error)) {
		g_object_unref (_reply_message);
		return NULL;
	}
	_reply = g_dbus_message_get_body (_reply_message);
	g_variant_iter_init (&_reply_iter, _reply);
	_tmp33_ = g_variant_iter_next_value (&_reply_iter);
	_tmp34_ = g_hash_table_new_full (g_str_hash, g_str_equal, g_free, (GDestroyNotify) g_variant_unref);
	g_variant_iter_init (&_tmp35_, _tmp33_);
	while (g_variant_iter_loop (&_tmp35_, "{?*}", &_tmp36_, &_tmp37_)) {
		g_hash_table_insert (_tmp34_, g_variant_dup_string (_tmp36_, NULL), g_variant_get_variant (_tmp37_));
	}
	_result = _tmp34_;
	g_variant_unref (_tmp33_);
	g_object_unref (_reply_message);
	return _result;
}


static void
new_tile_active_shuffler_info_client_proxy_new_tile_active_shuffler_info_client_interface_init (NewTileActiveShufflerInfoClientIface* iface)
{
	iface->get_winsdata = new_tile_active_shuffler_info_client_proxy_get_winsdata;
	iface->getactivewin = new_tile_active_shuffler_info_client_proxy_getactivewin;
	iface->get_tiles = new_tile_active_shuffler_info_client_proxy_get_tiles;
	iface->move_window = new_tile_active_shuffler_info_client_proxy_move_window;
	iface->move_window_animated = new_tile_active_shuffler_info_client_proxy_move_window_animated;
	iface->get_winspecs = new_tile_active_shuffler_info_client_proxy_get_winspecs;
	iface->check_ifguiruns = new_tile_active_shuffler_info_client_proxy_check_ifguiruns;
	iface->check_windowvalid = new_tile_active_shuffler_info_client_proxy_check_windowvalid;
	iface->get_softmove = new_tile_active_shuffler_info_client_proxy_get_softmove;
	iface->get_general_animations_set = new_tile_active_shuffler_info_client_proxy_get_general_animations_set;
	iface->get_margins = new_tile_active_shuffler_info_client_proxy_get_margins;
	iface->toggle_maximize = new_tile_active_shuffler_info_client_proxy_toggle_maximize;
	iface->get_monitorgeometry = new_tile_active_shuffler_info_client_proxy_get_monitorgeometry;
}


static void
_dbus_new_tile_active_shuffler_info_client_get_winsdata (NewTileActiveShufflerInfoClient* self,
                                                         GVariant* _parameters_,
                                                         GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	GHashTable* result;
	GVariantBuilder _tmp38_;
	GHashTableIter _tmp39_;
	gpointer _tmp40_;
	gpointer _tmp41_;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	result = new_tile_active_shuffler_info_client_get_winsdata (self, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	g_hash_table_iter_init (&_tmp39_, result);
	g_variant_builder_init (&_tmp38_, G_VARIANT_TYPE ("a{sv}"));
	while (g_hash_table_iter_next (&_tmp39_, &_tmp40_, &_tmp41_)) {
		gchar* _key;
		GVariant* _value;
		_key = (gchar*) _tmp40_;
		_value = (GVariant*) _tmp41_;
		g_variant_builder_add (&_tmp38_, "{?*}", g_variant_new_string (_key), g_variant_new_variant (_value));
	}
	g_variant_builder_add_value (&_reply_builder, g_variant_builder_end (&_tmp38_));
	_g_hash_table_unref0 (result);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_getactivewin (NewTileActiveShufflerInfoClient* self,
                                                         GVariant* _parameters_,
                                                         GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	gint result;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	result = new_tile_active_shuffler_info_client_getactivewin (self, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_reply_builder, g_variant_new_int32 (result));
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_get_tiles (NewTileActiveShufflerInfoClient* self,
                                                      GVariant* _parameters_,
                                                      GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gchar* mon = NULL;
	GVariant* _tmp42_;
	gint cols = 0;
	GVariant* _tmp43_;
	gint rows = 0;
	GVariant* _tmp44_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	GHashTable* result;
	GVariantBuilder _tmp45_;
	GHashTableIter _tmp46_;
	gpointer _tmp47_;
	gpointer _tmp48_;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp42_ = g_variant_iter_next_value (&_arguments_iter);
	mon = g_variant_dup_string (_tmp42_, NULL);
	g_variant_unref (_tmp42_);
	_tmp43_ = g_variant_iter_next_value (&_arguments_iter);
	cols = g_variant_get_int32 (_tmp43_);
	g_variant_unref (_tmp43_);
	_tmp44_ = g_variant_iter_next_value (&_arguments_iter);
	rows = g_variant_get_int32 (_tmp44_);
	g_variant_unref (_tmp44_);
	result = new_tile_active_shuffler_info_client_get_tiles (self, mon, cols, rows, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	g_hash_table_iter_init (&_tmp46_, result);
	g_variant_builder_init (&_tmp45_, G_VARIANT_TYPE ("a{sv}"));
	while (g_hash_table_iter_next (&_tmp46_, &_tmp47_, &_tmp48_)) {
		gchar* _key;
		GVariant* _value;
		_key = (gchar*) _tmp47_;
		_value = (GVariant*) _tmp48_;
		g_variant_builder_add (&_tmp45_, "{?*}", g_variant_new_string (_key), g_variant_new_variant (_value));
	}
	g_variant_builder_add_value (&_reply_builder, g_variant_builder_end (&_tmp45_));
	_g_hash_table_unref0 (result);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
	_g_free0 (mon);
}


static void
_dbus_new_tile_active_shuffler_info_client_move_window (NewTileActiveShufflerInfoClient* self,
                                                        GVariant* _parameters_,
                                                        GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gint wid = 0;
	GVariant* _tmp49_;
	gint x = 0;
	GVariant* _tmp50_;
	gint y = 0;
	GVariant* _tmp51_;
	gint width = 0;
	GVariant* _tmp52_;
	gint height = 0;
	GVariant* _tmp53_;
	gboolean nowarning = FALSE;
	GVariant* _tmp54_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp49_ = g_variant_iter_next_value (&_arguments_iter);
	wid = g_variant_get_int32 (_tmp49_);
	g_variant_unref (_tmp49_);
	_tmp50_ = g_variant_iter_next_value (&_arguments_iter);
	x = g_variant_get_int32 (_tmp50_);
	g_variant_unref (_tmp50_);
	_tmp51_ = g_variant_iter_next_value (&_arguments_iter);
	y = g_variant_get_int32 (_tmp51_);
	g_variant_unref (_tmp51_);
	_tmp52_ = g_variant_iter_next_value (&_arguments_iter);
	width = g_variant_get_int32 (_tmp52_);
	g_variant_unref (_tmp52_);
	_tmp53_ = g_variant_iter_next_value (&_arguments_iter);
	height = g_variant_get_int32 (_tmp53_);
	g_variant_unref (_tmp53_);
	_tmp54_ = g_variant_iter_next_value (&_arguments_iter);
	nowarning = g_variant_get_boolean (_tmp54_);
	g_variant_unref (_tmp54_);
	new_tile_active_shuffler_info_client_move_window (self, wid, x, y, width, height, nowarning, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_move_window_animated (NewTileActiveShufflerInfoClient* self,
                                                                 GVariant* _parameters_,
                                                                 GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gint wid = 0;
	GVariant* _tmp55_;
	gint x = 0;
	GVariant* _tmp56_;
	gint y = 0;
	GVariant* _tmp57_;
	gint width = 0;
	GVariant* _tmp58_;
	gint height = 0;
	GVariant* _tmp59_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp55_ = g_variant_iter_next_value (&_arguments_iter);
	wid = g_variant_get_int32 (_tmp55_);
	g_variant_unref (_tmp55_);
	_tmp56_ = g_variant_iter_next_value (&_arguments_iter);
	x = g_variant_get_int32 (_tmp56_);
	g_variant_unref (_tmp56_);
	_tmp57_ = g_variant_iter_next_value (&_arguments_iter);
	y = g_variant_get_int32 (_tmp57_);
	g_variant_unref (_tmp57_);
	_tmp58_ = g_variant_iter_next_value (&_arguments_iter);
	width = g_variant_get_int32 (_tmp58_);
	g_variant_unref (_tmp58_);
	_tmp59_ = g_variant_iter_next_value (&_arguments_iter);
	height = g_variant_get_int32 (_tmp59_);
	g_variant_unref (_tmp59_);
	new_tile_active_shuffler_info_client_move_window_animated (self, wid, x, y, width, height, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_get_winspecs (NewTileActiveShufflerInfoClient* self,
                                                         GVariant* _parameters_,
                                                         GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gint w_id = 0;
	GVariant* _tmp60_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	gint* result;
	int result_length1 = 0;
	gint* _tmp61_;
	GVariantBuilder _tmp62_;
	int _tmp63_;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp60_ = g_variant_iter_next_value (&_arguments_iter);
	w_id = g_variant_get_int32 (_tmp60_);
	g_variant_unref (_tmp60_);
	result = new_tile_active_shuffler_info_client_get_winspecs (self, w_id, &result_length1, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_tmp61_ = result;
	g_variant_builder_init (&_tmp62_, G_VARIANT_TYPE ("ai"));
	for (_tmp63_ = 0; _tmp63_ < result_length1; _tmp63_++) {
		g_variant_builder_add_value (&_tmp62_, g_variant_new_int32 (*_tmp61_));
		_tmp61_++;
	}
	g_variant_builder_add_value (&_reply_builder, g_variant_builder_end (&_tmp62_));
	result = (g_free (result), NULL);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_check_ifguiruns (NewTileActiveShufflerInfoClient* self,
                                                            GVariant* _parameters_,
                                                            GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	gboolean result;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	result = new_tile_active_shuffler_info_client_check_ifguiruns (self, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_reply_builder, g_variant_new_boolean (result));
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_check_windowvalid (NewTileActiveShufflerInfoClient* self,
                                                              GVariant* _parameters_,
                                                              GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gint wid = 0;
	GVariant* _tmp64_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	gint result;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp64_ = g_variant_iter_next_value (&_arguments_iter);
	wid = g_variant_get_int32 (_tmp64_);
	g_variant_unref (_tmp64_);
	result = new_tile_active_shuffler_info_client_check_windowvalid (self, wid, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_reply_builder, g_variant_new_int32 (result));
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_get_softmove (NewTileActiveShufflerInfoClient* self,
                                                         GVariant* _parameters_,
                                                         GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	gboolean result;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	result = new_tile_active_shuffler_info_client_get_softmove (self, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_reply_builder, g_variant_new_boolean (result));
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_get_general_animations_set (NewTileActiveShufflerInfoClient* self,
                                                                       GVariant* _parameters_,
                                                                       GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	gboolean result;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	result = new_tile_active_shuffler_info_client_get_general_animations_set (self, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	g_variant_builder_add_value (&_reply_builder, g_variant_new_boolean (result));
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_get_margins (NewTileActiveShufflerInfoClient* self,
                                                        GVariant* _parameters_,
                                                        GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	gint* result;
	int result_length1 = 0;
	gint* _tmp65_;
	GVariantBuilder _tmp66_;
	int _tmp67_;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	result = new_tile_active_shuffler_info_client_get_margins (self, &result_length1, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_tmp65_ = result;
	g_variant_builder_init (&_tmp66_, G_VARIANT_TYPE ("ai"));
	for (_tmp67_ = 0; _tmp67_ < result_length1; _tmp67_++) {
		g_variant_builder_add_value (&_tmp66_, g_variant_new_int32 (*_tmp65_));
		_tmp65_++;
	}
	g_variant_builder_add_value (&_reply_builder, g_variant_builder_end (&_tmp66_));
	result = (g_free (result), NULL);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_toggle_maximize (NewTileActiveShufflerInfoClient* self,
                                                            GVariant* _parameters_,
                                                            GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	gint w_arg = 0;
	GVariant* _tmp68_;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	_tmp68_ = g_variant_iter_next_value (&_arguments_iter);
	w_arg = g_variant_get_int32 (_tmp68_);
	g_variant_unref (_tmp68_);
	new_tile_active_shuffler_info_client_toggle_maximize (self, w_arg, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
_dbus_new_tile_active_shuffler_info_client_get_monitorgeometry (NewTileActiveShufflerInfoClient* self,
                                                                GVariant* _parameters_,
                                                                GDBusMethodInvocation* invocation)
{
	GError* error = NULL;
	GVariantIter _arguments_iter;
	GDBusMessage* _reply_message = NULL;
	GVariant* _reply;
	GVariantBuilder _reply_builder;
	GHashTable* result;
	GVariantBuilder _tmp69_;
	GHashTableIter _tmp70_;
	gpointer _tmp71_;
	gpointer _tmp72_;
	g_variant_iter_init (&_arguments_iter, _parameters_);
	result = new_tile_active_shuffler_info_client_get_monitorgeometry (self, &error);
	if (error) {
		g_dbus_method_invocation_return_gerror (invocation, error);
		g_error_free (error);
		return;
	}
	_reply_message = g_dbus_message_new_method_reply (g_dbus_method_invocation_get_message (invocation));
	g_variant_builder_init (&_reply_builder, G_VARIANT_TYPE_TUPLE);
	g_hash_table_iter_init (&_tmp70_, result);
	g_variant_builder_init (&_tmp69_, G_VARIANT_TYPE ("a{sv}"));
	while (g_hash_table_iter_next (&_tmp70_, &_tmp71_, &_tmp72_)) {
		gchar* _key;
		GVariant* _value;
		_key = (gchar*) _tmp71_;
		_value = (GVariant*) _tmp72_;
		g_variant_builder_add (&_tmp69_, "{?*}", g_variant_new_string (_key), g_variant_new_variant (_value));
	}
	g_variant_builder_add_value (&_reply_builder, g_variant_builder_end (&_tmp69_));
	_g_hash_table_unref0 (result);
	_reply = g_variant_builder_end (&_reply_builder);
	g_dbus_message_set_body (_reply_message, _reply);
	g_dbus_connection_send_message (g_dbus_method_invocation_get_connection (invocation), _reply_message, G_DBUS_SEND_MESSAGE_FLAGS_NONE, NULL, NULL);
	g_object_unref (invocation);
	g_object_unref (_reply_message);
}


static void
new_tile_active_shuffler_info_client_dbus_interface_method_call (GDBusConnection* connection,
                                                                 const gchar* sender,
                                                                 const gchar* object_path,
                                                                 const gchar* interface_name,
                                                                 const gchar* method_name,
                                                                 GVariant* parameters,
                                                                 GDBusMethodInvocation* invocation,
                                                                 gpointer user_data)
{
	gpointer* data;
	gpointer object;
	data = user_data;
	object = data[0];
	if (strcmp (method_name, "GetWinsdata") == 0) {
		_dbus_new_tile_active_shuffler_info_client_get_winsdata (object, parameters, invocation);
	} else if (strcmp (method_name, "Getactivewin") == 0) {
		_dbus_new_tile_active_shuffler_info_client_getactivewin (object, parameters, invocation);
	} else if (strcmp (method_name, "GetTiles") == 0) {
		_dbus_new_tile_active_shuffler_info_client_get_tiles (object, parameters, invocation);
	} else if (strcmp (method_name, "MoveWindow") == 0) {
		_dbus_new_tile_active_shuffler_info_client_move_window (object, parameters, invocation);
	} else if (strcmp (method_name, "MoveWindowAnimated") == 0) {
		_dbus_new_tile_active_shuffler_info_client_move_window_animated (object, parameters, invocation);
	} else if (strcmp (method_name, "GetWinspecs") == 0) {
		_dbus_new_tile_active_shuffler_info_client_get_winspecs (object, parameters, invocation);
	} else if (strcmp (method_name, "CheckIfguiruns") == 0) {
		_dbus_new_tile_active_shuffler_info_client_check_ifguiruns (object, parameters, invocation);
	} else if (strcmp (method_name, "CheckWindowvalid") == 0) {
		_dbus_new_tile_active_shuffler_info_client_check_windowvalid (object, parameters, invocation);
	} else if (strcmp (method_name, "GetSoftmove") == 0) {
		_dbus_new_tile_active_shuffler_info_client_get_softmove (object, parameters, invocation);
	} else if (strcmp (method_name, "GetGeneralAnimationsSet") == 0) {
		_dbus_new_tile_active_shuffler_info_client_get_general_animations_set (object, parameters, invocation);
	} else if (strcmp (method_name, "GetMargins") == 0) {
		_dbus_new_tile_active_shuffler_info_client_get_margins (object, parameters, invocation);
	} else if (strcmp (method_name, "ToggleMaximize") == 0) {
		_dbus_new_tile_active_shuffler_info_client_toggle_maximize (object, parameters, invocation);
	} else if (strcmp (method_name, "GetMonitorgeometry") == 0) {
		_dbus_new_tile_active_shuffler_info_client_get_monitorgeometry (object, parameters, invocation);
	} else {
		g_object_unref (invocation);
	}
}


static GVariant*
new_tile_active_shuffler_info_client_dbus_interface_get_property (GDBusConnection* connection,
                                                                  const gchar* sender,
                                                                  const gchar* object_path,
                                                                  const gchar* interface_name,
                                                                  const gchar* property_name,
                                                                  GError** error,
                                                                  gpointer user_data)
{
	gpointer* data;
	gpointer object;
	data = user_data;
	object = data[0];
	return NULL;
}


static gboolean
new_tile_active_shuffler_info_client_dbus_interface_set_property (GDBusConnection* connection,
                                                                  const gchar* sender,
                                                                  const gchar* object_path,
                                                                  const gchar* interface_name,
                                                                  const gchar* property_name,
                                                                  GVariant* value,
                                                                  GError** error,
                                                                  gpointer user_data)
{
	gpointer* data;
	gpointer object;
	data = user_data;
	object = data[0];
	return FALSE;
}


guint
new_tile_active_shuffler_info_client_register_object (gpointer object,
                                                      GDBusConnection* connection,
                                                      const gchar* path,
                                                      GError** error)
{
	guint result;
	gpointer *data;
	data = g_new (gpointer, 3);
	data[0] = g_object_ref (object);
	data[1] = g_object_ref (connection);
	data[2] = g_strdup (path);
	result = g_dbus_connection_register_object (connection, path, (GDBusInterfaceInfo *) (&_new_tile_active_shuffler_info_client_dbus_interface_info), &_new_tile_active_shuffler_info_client_dbus_interface_vtable, data, _new_tile_active_shuffler_info_client_unregister_object, error);
	if (!result) {
		return 0;
	}
	return result;
}


static void
_new_tile_active_shuffler_info_client_unregister_object (gpointer user_data)
{
	gpointer* data;
	data = user_data;
	g_object_unref (data[0]);
	g_object_unref (data[1]);
	g_free (data[2]);
	g_free (data);
}


gboolean
new_tile_active_string_inlist (const gchar* lookfor,
                               gchar** arr,
                               int arr_length1)
{
	gboolean result = FALSE;
#line 53 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (lookfor != NULL, FALSE);
#line 1782 "tile_active.c"
	{
		gint i = 0;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		i = 0;
#line 1787 "tile_active.c"
		{
			gboolean _tmp0_ = FALSE;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp0_ = TRUE;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			while (TRUE) {
#line 1794 "tile_active.c"
				gint _tmp2_;
				gint _tmp3_;
				const gchar* _tmp4_;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (!_tmp0_) {
#line 1800 "tile_active.c"
					gint _tmp1_;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp1_ = i;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					i = _tmp1_ + 1;
#line 1806 "tile_active.c"
				}
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp0_ = FALSE;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp2_ = i;
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (!(_tmp2_ < arr_length1)) {
#line 54 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					break;
#line 1816 "tile_active.c"
				}
#line 55 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp3_ = i;
#line 55 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp4_ = arr[_tmp3_];
#line 55 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (g_strcmp0 (lookfor, _tmp4_) == 0) {
#line 56 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					result = TRUE;
#line 56 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					return result;
#line 1828 "tile_active.c"
				}
			}
		}
	}
#line 59 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	result = FALSE;
#line 59 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return result;
#line 1837 "tile_active.c"
}


static void
_vala_array_add1 (gchar** * array,
                  int* length,
                  int* size,
                  gchar* value)
{
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	if ((*length) == (*size)) {
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 1853 "tile_active.c"
	}
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	(*array)[(*length)++] = value;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	(*array)[*length] = NULL;
#line 1859 "tile_active.c"
}


gboolean
new_tile_active_monitor_isvalid (NewTileActiveShufflerInfoClient* client,
                                 const gchar* monitor,
                                 GHashTable* monitordata)
{
	gboolean result = FALSE;
	gchar** found_monitors = NULL;
	gchar** _tmp0_;
	gint found_monitors_length1;
	gint _found_monitors_size_;
	GList* _tmp1_;
	gchar** _tmp6_;
	gint _tmp6__length1;
#line 62 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (client != NULL, FALSE);
#line 62 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (monitor != NULL, FALSE);
#line 62 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (monitordata != NULL, FALSE);
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp0_ = g_new0 (gchar*, 0 + 1);
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	found_monitors = _tmp0_;
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	found_monitors_length1 = 0;
#line 68 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_found_monitors_size_ = found_monitors_length1;
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp1_ = g_hash_table_get_keys (monitordata);
#line 1892 "tile_active.c"
	{
		GList* k_collection = NULL;
		GList* k_it = NULL;
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		k_collection = _tmp1_;
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		for (k_it = k_collection; k_it != NULL; k_it = k_it->next) {
#line 1900 "tile_active.c"
			gchar* _tmp2_;
			gchar* k = NULL;
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp2_ = g_strdup ((const gchar*) k_it->data);
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			k = _tmp2_;
#line 1907 "tile_active.c"
			{
				gchar** _tmp3_;
				gint _tmp3__length1;
				const gchar* _tmp4_;
				gchar* _tmp5_;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp3_ = found_monitors;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp3__length1 = found_monitors_length1;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp4_ = k;
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp5_ = g_strdup (_tmp4_);
#line 70 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_vala_array_add1 (&found_monitors, &found_monitors_length1, &_found_monitors_size_, _tmp5_);
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_g_free0 (k);
#line 1925 "tile_active.c"
			}
		}
#line 69 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		(k_collection == NULL) ? NULL : (k_collection = (g_list_free (k_collection), NULL));
#line 1930 "tile_active.c"
	}
#line 72 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp6_ = found_monitors;
#line 72 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp6__length1 = found_monitors_length1;
#line 72 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	if (new_tile_active_string_inlist (monitor, _tmp6_, _tmp6__length1)) {
#line 73 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		result = TRUE;
#line 73 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		found_monitors = (_vala_array_free (found_monitors, found_monitors_length1, (GDestroyNotify) g_free), NULL);
#line 73 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		return result;
#line 1944 "tile_active.c"
	}
#line 75 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	result = FALSE;
#line 75 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	found_monitors = (_vala_array_free (found_monitors, found_monitors_length1, (GDestroyNotify) g_free), NULL);
#line 75 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return result;
#line 1952 "tile_active.c"
}


gboolean*
new_tile_active_check_position_isequal (gint* origin,
                                        int origin_length1,
                                        gint* target,
                                        int target_length1,
                                        gint* margins,
                                        int margins_length1,
                                        int* result_length1)
{
	gboolean* result = NULL;
	gboolean pos_isequal = FALSE;
	gboolean size_isequal = FALSE;
	gint padding = 0;
	gint _tmp0_;
	gboolean* checks = NULL;
	gint _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
	gint _tmp8_;
	gint _tmp9_;
	gint _tmp10_;
	gboolean* _tmp11_;
	gint checks_length1;
	gint _checks_size_;
	gboolean* tests = NULL;
	gboolean _tmp24_;
	gboolean _tmp25_;
	gboolean* _tmp26_;
	gint tests_length1;
	gint _tests_size_;
	gboolean* _tmp27_;
	gint _tmp27__length1;
#line 85 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	pos_isequal = TRUE;
#line 86 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	size_isequal = TRUE;
#line 87 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp0_ = margins[4];
#line 87 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	padding = _tmp0_;
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp1_ = origin[0];
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp2_ = target[0];
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp3_ = origin[1];
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp4_ = target[1];
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp5_ = origin[2];
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp6_ = target[2];
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp7_ = padding;
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp8_ = origin[3];
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp9_ = target[3];
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp10_ = padding;
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp11_ = g_new0 (gboolean, 4);
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp11_[0] = _tmp1_ == _tmp2_;
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp11_[1] = _tmp3_ == _tmp4_;
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp11_[2] = abs (_tmp5_ - (_tmp6_ - _tmp7_)) < 3;
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp11_[3] = abs (_tmp8_ - (_tmp9_ - _tmp10_)) < 3;
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	checks = _tmp11_;
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	checks_length1 = 4;
#line 88 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_checks_size_ = checks_length1;
#line 2036 "tile_active.c"
	{
		gint i = 0;
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		i = 0;
#line 2041 "tile_active.c"
		{
			gboolean _tmp12_ = FALSE;
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp12_ = TRUE;
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			while (TRUE) {
#line 2048 "tile_active.c"
				gint _tmp14_;
				gboolean* _tmp15_;
				gint _tmp15__length1;
				gint _tmp16_;
				gboolean _tmp17_;
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (!_tmp12_) {
#line 2056 "tile_active.c"
					gint _tmp13_;
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp13_ = i;
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					i = _tmp13_ + 1;
#line 2062 "tile_active.c"
				}
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp12_ = FALSE;
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp14_ = i;
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (!(_tmp14_ < 2)) {
#line 103 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					break;
#line 2072 "tile_active.c"
				}
#line 104 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp15_ = checks;
#line 104 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp15__length1 = checks_length1;
#line 104 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp16_ = i;
#line 104 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp17_ = _tmp15_[_tmp16_];
#line 104 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (_tmp17_ == FALSE) {
#line 105 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					pos_isequal = FALSE;
#line 2086 "tile_active.c"
				}
			}
		}
	}
	{
		gint i = 0;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		i = 2;
#line 2095 "tile_active.c"
		{
			gboolean _tmp18_ = FALSE;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp18_ = TRUE;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			while (TRUE) {
#line 2102 "tile_active.c"
				gint _tmp20_;
				gboolean* _tmp21_;
				gint _tmp21__length1;
				gint _tmp22_;
				gboolean _tmp23_;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (!_tmp18_) {
#line 2110 "tile_active.c"
					gint _tmp19_;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp19_ = i;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					i = _tmp19_ + 1;
#line 2116 "tile_active.c"
				}
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp18_ = FALSE;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp20_ = i;
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (!(_tmp20_ < 4)) {
#line 108 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					break;
#line 2126 "tile_active.c"
				}
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp21_ = checks;
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp21__length1 = checks_length1;
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp22_ = i;
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp23_ = _tmp21_[_tmp22_];
#line 109 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (_tmp23_ == FALSE) {
#line 110 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					size_isequal = FALSE;
#line 2140 "tile_active.c"
				}
			}
		}
	}
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp24_ = pos_isequal;
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp25_ = size_isequal;
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp26_ = g_new0 (gboolean, 2);
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp26_[0] = _tmp24_;
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp26_[1] = _tmp25_;
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	tests = _tmp26_;
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	tests_length1 = 2;
#line 113 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tests_size_ = tests_length1;
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp27_ = tests;
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp27__length1 = tests_length1;
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	if (result_length1) {
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		*result_length1 = _tmp27__length1;
#line 2169 "tile_active.c"
	}
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	result = _tmp27_;
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	checks = (g_free (checks), NULL);
#line 114 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return result;
#line 2177 "tile_active.c"
}


static gint*
_int_dup (gint* self)
{
	gint* dup;
#line 120 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	dup = g_new0 (gint, 1);
#line 120 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	memcpy (dup, self, sizeof (gint));
#line 120 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return dup;
#line 2191 "tile_active.c"
}


static gpointer
__int_dup0 (gpointer self)
{
#line 120 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return self ? _int_dup (self) : NULL;
#line 2200 "tile_active.c"
}


gint*
new_tile_active_try_isint (const gchar* stringarg)
{
	gint* result = NULL;
	gint foundint = 0;
	gboolean _tmp0_ = FALSE;
	gint _tmp1_;
#line 117 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	g_return_val_if_fail (stringarg != NULL, NULL);
#line 118 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	foundint = atoi (stringarg);
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp1_ = foundint;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	if (_tmp1_ != 0) {
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp0_ = TRUE;
#line 2221 "tile_active.c"
	} else {
		gboolean _tmp2_ = FALSE;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (g_strcmp0 (stringarg, "0") == 0) {
#line 2226 "tile_active.c"
			gint _tmp3_;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp3_ = foundint;
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp2_ = _tmp3_ == 0;
#line 2232 "tile_active.c"
		} else {
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp2_ = FALSE;
#line 2236 "tile_active.c"
		}
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp0_ = _tmp2_;
#line 2240 "tile_active.c"
	}
#line 119 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	if (_tmp0_) {
#line 2244 "tile_active.c"
		gint* _tmp4_;
#line 120 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp4_ = __int_dup0 (&foundint);
#line 120 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		result = _tmp4_;
#line 120 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		return result;
#line 2252 "tile_active.c"
	}
#line 122 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	result = NULL;
#line 122 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return result;
#line 2258 "tile_active.c"
}


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1475 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1476 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 2278 "tile_active.c"
}


static gpointer
_g_variant_ref0 (gpointer self)
{
#line 236 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return self ? g_variant_ref (self) : NULL;
#line 2287 "tile_active.c"
}


static gchar*
_variant_get1 (GVariant* value)
{
#line 240 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return g_variant_dup_string (value, NULL);
#line 2296 "tile_active.c"
}


static gint
_variant_get2 (GVariant* value)
{
#line 254 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return g_variant_get_int32 (value);
#line 2305 "tile_active.c"
}


static gint
_variant_get3 (GVariant* value)
{
#line 255 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return g_variant_get_int32 (value);
#line 2314 "tile_active.c"
}


static gint
_variant_get4 (GVariant* value)
{
#line 262 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return g_variant_get_int32 (value);
#line 2323 "tile_active.c"
}


static gint
_variant_get5 (GVariant* value)
{
#line 263 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return g_variant_get_int32 (value);
#line 2332 "tile_active.c"
}


static gint
_variant_get6 (GVariant* value)
{
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return g_variant_get_int32 (value);
#line 2341 "tile_active.c"
}


static void
_vala_array_add2 (gint* * array,
                  int* length,
                  int* size,
                  gint value)
{
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	if ((*length) == (*size)) {
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		*array = g_renew (gint, *array, *size);
#line 2357 "tile_active.c"
	}
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	(*array)[(*length)++] = value;
#line 2361 "tile_active.c"
}


void
new_tile_active_main (gchar** args,
                      int args_length1)
{
	gint x_ongrid = 0;
	gint y_ongrid = 0;
	gint gridcols = 0;
	gint gridrows = 0;
	gint xspan = 0;
	gint yspan = 0;
	gboolean maximize = FALSE;
	gchar* monitor = NULL;
	gchar* _tmp0_;
	gchar* set_monitor = NULL;
	gchar* _tmp1_;
	gboolean set_nosoftmove = FALSE;
	gboolean call_fromwindowrule = FALSE;
	gboolean call_fromgrid = FALSE;
	gint xid = 0;
	gint set_xid = 0;
	gint argindex = 0;
	gchar* target_tilekey = NULL;
	gint _tmp31_;
	gchar* _tmp32_;
	gchar* _tmp33_;
	gchar* _tmp34_;
	gchar* _tmp35_;
	gint _tmp36_;
	gchar* _tmp37_;
	gchar* _tmp38_;
	gchar* _tmp39_;
	gchar* _tmp40_;
	GError* _inner_error0_ = NULL;
#line 127 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	x_ongrid = 0;
#line 128 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	y_ongrid = 0;
#line 129 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	gridcols = 2;
#line 130 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	gridrows = 2;
#line 131 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	xspan = 1;
#line 132 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	yspan = 1;
#line 133 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	maximize = FALSE;
#line 135 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp0_ = g_strdup ("");
#line 135 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	monitor = _tmp0_;
#line 137 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp1_ = g_strdup ("");
#line 137 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	set_monitor = _tmp1_;
#line 138 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	set_nosoftmove = FALSE;
#line 139 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	call_fromwindowrule = FALSE;
#line 140 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	call_fromgrid = FALSE;
#line 142 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	xid = -1;
#line 144 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	set_xid = -1;
#line 146 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	argindex = 0;
#line 2432 "tile_active.c"
	{
		gchar** arg_collection = NULL;
		gint arg_collection_length1 = 0;
		gint _arg_collection_size_ = 0;
		gint arg_it = 0;
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		arg_collection = args + 1;
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		arg_collection_length1 = args_length1 - 1;
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		for (arg_it = 0; arg_it < arg_collection_length1; arg_it = arg_it + 1) {
#line 2444 "tile_active.c"
			gchar* _tmp2_;
			gchar* arg = NULL;
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp2_ = g_strdup (arg_collection[arg_it]);
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			arg = _tmp2_;
#line 2451 "tile_active.c"
			{
				gint* new_arg = NULL;
				const gchar* _tmp3_;
				gint* _tmp4_;
				gint* _tmp5_;
				gint _tmp30_;
#line 148 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp3_ = arg;
#line 148 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp4_ = new_tile_active_try_isint (_tmp3_);
#line 148 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				new_arg = _tmp4_;
#line 149 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp5_ = new_arg;
#line 149 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (_tmp5_ != NULL) {
#line 2468 "tile_active.c"
					gint _tmp6_;
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp6_ = argindex;
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					switch (_tmp6_) {
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						case 0:
#line 2476 "tile_active.c"
						{
							gint* _tmp7_;
#line 153 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp7_ = new_arg;
#line 153 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							x_ongrid = *_tmp7_;
#line 154 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							break;
#line 2485 "tile_active.c"
						}
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						case 1:
#line 2489 "tile_active.c"
						{
							gint* _tmp8_;
#line 157 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp8_ = new_arg;
#line 157 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							y_ongrid = *_tmp8_;
#line 158 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							break;
#line 2498 "tile_active.c"
						}
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						case 2:
#line 2502 "tile_active.c"
						{
							gint* _tmp9_;
#line 161 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp9_ = new_arg;
#line 161 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							gridcols = *_tmp9_;
#line 162 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							break;
#line 2511 "tile_active.c"
						}
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						case 3:
#line 2515 "tile_active.c"
						{
							gint* _tmp10_;
#line 165 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp10_ = new_arg;
#line 165 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							gridrows = *_tmp10_;
#line 166 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							break;
#line 2524 "tile_active.c"
						}
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						case 4:
#line 2528 "tile_active.c"
						{
							gint* _tmp11_;
#line 169 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp11_ = new_arg;
#line 169 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							xspan = *_tmp11_;
#line 170 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							break;
#line 2537 "tile_active.c"
						}
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						case 5:
#line 2541 "tile_active.c"
						{
							gint* _tmp12_;
#line 173 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp12_ = new_arg;
#line 173 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							yspan = *_tmp12_;
#line 174 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							break;
#line 2550 "tile_active.c"
						}
						default:
#line 150 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						break;
#line 2555 "tile_active.c"
					}
				} else {
					const gchar* _tmp13_;
					const gchar* _tmp22_;
					const gchar* _tmp23_;
#line 178 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp13_ = arg;
#line 178 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					if (g_strcmp0 (_tmp13_, "maximize") == 0) {
#line 180 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						maximize = TRUE;
#line 2567 "tile_active.c"
					} else {
						const gchar* _tmp14_;
#line 182 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp14_ = arg;
#line 182 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						if (string_contains (_tmp14_, "monitor=")) {
#line 2574 "tile_active.c"
							const gchar* _tmp15_;
							gchar** _tmp16_;
							gchar** _tmp17_;
							gchar** _tmp18_;
							gint _tmp18__length1;
							const gchar* _tmp19_;
							gchar* _tmp20_;
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp15_ = arg;
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp17_ = _tmp16_ = g_strsplit (_tmp15_, "=", 0);
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp18_ = _tmp17_;
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp18__length1 = _vala_array_length (_tmp16_);
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp19_ = _tmp18_[1];
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp20_ = g_strdup (_tmp19_);
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_g_free0 (set_monitor);
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							set_monitor = _tmp20_;
#line 184 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp18_ = (_vala_array_free (_tmp18_, _tmp18__length1, (GDestroyNotify) g_free), NULL);
#line 2600 "tile_active.c"
						} else {
							const gchar* _tmp21_;
#line 186 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp21_ = arg;
#line 186 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							if (string_contains (_tmp21_, "nosoftmove")) {
#line 189 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
								set_nosoftmove = TRUE;
#line 2609 "tile_active.c"
							}
						}
					}
#line 191 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp22_ = arg;
#line 191 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					if (g_strcmp0 (_tmp22_, "windowrule") == 0) {
#line 193 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						call_fromwindowrule = TRUE;
#line 2619 "tile_active.c"
					}
#line 195 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp23_ = arg;
#line 195 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					if (g_strcmp0 (_tmp23_, "fromgrid") == 0) {
#line 197 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						call_fromgrid = TRUE;
#line 2627 "tile_active.c"
					} else {
						const gchar* _tmp24_;
#line 199 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp24_ = arg;
#line 199 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						if (string_contains (_tmp24_, "id=")) {
#line 2634 "tile_active.c"
							const gchar* _tmp25_;
							gchar** _tmp26_;
							gchar** _tmp27_;
							gchar** _tmp28_;
							gint _tmp28__length1;
							const gchar* _tmp29_;
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp25_ = arg;
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp27_ = _tmp26_ = g_strsplit (_tmp25_, "=", 0);
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp28_ = _tmp27_;
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp28__length1 = _vala_array_length (_tmp26_);
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp29_ = _tmp28_[1];
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							set_xid = atoi (_tmp29_);
#line 200 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
							_tmp28_ = (_vala_array_free (_tmp28_, _tmp28__length1, (GDestroyNotify) g_free), NULL);
#line 2655 "tile_active.c"
						}
					}
				}
#line 203 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp30_ = argindex;
#line 203 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				argindex = _tmp30_ + 1;
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_g_free0 (new_arg);
#line 147 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_g_free0 (arg);
#line 2667 "tile_active.c"
			}
		}
	}
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp31_ = x_ongrid;
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp32_ = g_strdup_printf ("%i", _tmp31_);
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp33_ = _tmp32_;
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp34_ = g_strconcat (_tmp33_, "*", NULL);
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp35_ = _tmp34_;
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp36_ = y_ongrid;
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp37_ = g_strdup_printf ("%i", _tmp36_);
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp38_ = _tmp37_;
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp39_ = g_strconcat (_tmp35_, _tmp38_, NULL);
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_tmp40_ = _tmp39_;
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_g_free0 (_tmp38_);
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_g_free0 (_tmp35_);
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_g_free0 (_tmp33_);
#line 206 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	target_tilekey = _tmp40_;
#line 2699 "tile_active.c"
	{
		NewTileActiveShufflerInfoClient* _tmp41_ = NULL;
		NewTileActiveShufflerInfoClient* _tmp42_;
		NewTileActiveShufflerInfoClient* _tmp43_;
		GHashTable* windata = NULL;
		NewTileActiveShufflerInfoClient* _tmp44_;
		GHashTable* _tmp45_;
		GList* windata_keys = NULL;
		GHashTable* _tmp46_;
		GList* _tmp47_;
		gint* margins = NULL;
		NewTileActiveShufflerInfoClient* _tmp48_;
		gint _tmp49_ = 0;
		gint* _tmp50_;
		gint margins_length1;
		gint _margins_size_;
		gint _tmp51_;
		gint _tmp52_;
		gboolean _tmp55_;
		gint yshift = 0;
		gint* _tmp58_ = NULL;
		NewTileActiveShufflerInfoClient* _tmp59_;
		gint _tmp60_;
		gint _tmp61_ = 0;
		gint* _tmp62_;
		gint _tmp58__length1;
		gint __tmp58__size_;
		gint _tmp63_;
		GVariant* winsubject_data = NULL;
		GVariant* _tmp64_;
		GList* _tmp65_;
		GVariant* _tmp76_;
		GVariant* _tmp77_;
		GVariant* _tmp78_;
		gchar* _tmp79_;
		GHashTable* monitordata = NULL;
		NewTileActiveShufflerInfoClient* _tmp80_;
		GHashTable* _tmp81_;
		gboolean _tmp82_ = FALSE;
		const gchar* _tmp83_;
		gboolean guiruns = FALSE;
		NewTileActiveShufflerInfoClient* _tmp89_;
		GHashTable* tiles = NULL;
		NewTileActiveShufflerInfoClient* _tmp90_;
		const gchar* _tmp91_;
		gint _tmp92_;
		gint _tmp93_;
		GHashTable* _tmp94_;
		gint target_width = 0;
		GHashTable* _tmp95_;
		gconstpointer _tmp96_;
		gint _tmp97_;
		gint _tmp98_;
		gint target_height = 0;
		GHashTable* _tmp99_;
		gconstpointer _tmp100_;
		gint _tmp101_;
		gint _tmp102_;
		gint tile_x = 0;
		gint tile_y = 0;
		GHashTable* _tmp103_;
		GList* _tmp104_;
		gint* tilepos_data = NULL;
		gint _tmp120_;
		gint _tmp121_;
		gint _tmp122_;
		gint _tmp123_;
		gint* _tmp124_;
		gint tilepos_data_length1;
		gint _tilepos_data_size_;
		gint* winpos_data = NULL;
		gint* _tmp125_;
		gint winpos_data_length1;
		gint _winpos_data_size_;
		gint* pos_indices = NULL;
		gint* _tmp126_;
		gint pos_indices_length1;
		gint _pos_indices_size_;
		gint* _tmp127_;
		gint _tmp127__length1;
		gboolean* checked_equal = NULL;
		gint* _tmp134_;
		gint _tmp134__length1;
		gint* _tmp135_;
		gint _tmp135__length1;
		gint* _tmp136_;
		gint _tmp136__length1;
		gint _tmp137_ = 0;
		gboolean* _tmp138_;
		gint checked_equal_length1;
		gint _checked_equal_size_;
		gboolean* _tmp139_;
		gint _tmp139__length1;
		gboolean nosoftmove_forpositionarg = FALSE;
		gboolean norun_forpositionarg = FALSE;
		gboolean _tmp140_ = FALSE;
		gboolean* _tmp141_;
		gint _tmp141__length1;
		gboolean _tmp142_;
		gboolean use_softmove = FALSE;
		gboolean global_animation = FALSE;
		NewTileActiveShufflerInfoClient* _tmp150_;
		gboolean _tmp151_ = FALSE;
		gboolean _tmp152_ = FALSE;
		gboolean _tmp153_;
		gboolean run = FALSE;
		gboolean _tmp156_ = FALSE;
		gboolean _tmp157_ = FALSE;
		gboolean _tmp158_;
		gboolean _tmp161_;
#line 209 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp42_ = (NewTileActiveShufflerInfoClient*) g_initable_new (NEW_TILE_ACTIVE_TYPE_SHUFFLER_INFO_CLIENT_PROXY, NULL, &_inner_error0_, "g-flags", 0, "g-name", "org.UbuntuBudgie.ShufflerInfoDaemon", "g-bus-type", G_BUS_TYPE_SESSION, "g-object-path", "/org/ubuntubudgie/shufflerinfodaemon", "g-interface-name", "org.UbuntuBudgie.ShufflerInfoDaemon", "g-interface-info", g_type_get_qdata (NEW_TILE_ACTIVE_TYPE_SHUFFLER_INFO_CLIENT, g_quark_from_static_string ("vala-dbus-interface-info")), NULL);
#line 209 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp41_ = (NewTileActiveShufflerInfoClient*) _tmp42_;
#line 209 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2816 "tile_active.c"
			goto __catch0_g_error;
		}
#line 209 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp43_ = _tmp41_;
#line 209 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp41_ = NULL;
#line 209 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_object_unref0 (new_tile_active_client);
#line 209 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		new_tile_active_client = _tmp43_;
#line 213 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp44_ = new_tile_active_client;
#line 213 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp45_ = new_tile_active_shuffler_info_client_get_winsdata (_tmp44_, &_inner_error0_);
#line 213 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		windata = _tmp45_;
#line 213 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 213 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_object_unref0 (_tmp41_);
#line 2837 "tile_active.c"
			goto __catch0_g_error;
		}
#line 215 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp46_ = windata;
#line 215 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp47_ = g_hash_table_get_keys (_tmp46_);
#line 215 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		windata_keys = _tmp47_;
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp48_ = new_tile_active_client;
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp50_ = new_tile_active_shuffler_info_client_get_margins (_tmp48_, &_tmp49_, &_inner_error0_);
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		margins = _tmp50_;
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		margins_length1 = _tmp49_;
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_margins_size_ = margins_length1;
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (windata);
#line 217 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_object_unref0 (_tmp41_);
#line 2864 "tile_active.c"
			goto __catch0_g_error;
		}
#line 219 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp51_ = set_xid;
#line 219 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		xid = _tmp51_;
#line 220 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp52_ = set_xid;
#line 220 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp52_ == -1) {
#line 2875 "tile_active.c"
			gint _tmp53_ = 0;
			NewTileActiveShufflerInfoClient* _tmp54_;
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp54_ = new_tile_active_client;
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp53_ = new_tile_active_shuffler_info_client_getactivewin (_tmp54_, &_inner_error0_);
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				margins = (g_free (margins), NULL);
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_g_hash_table_unref0 (windata);
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_g_object_unref0 (_tmp41_);
#line 2892 "tile_active.c"
				goto __catch0_g_error;
			}
#line 221 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			xid = _tmp53_;
#line 2897 "tile_active.c"
		}
#line 223 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp55_ = maximize;
#line 223 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp55_) {
#line 2903 "tile_active.c"
			NewTileActiveShufflerInfoClient* _tmp56_;
			gint _tmp57_;
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp56_ = new_tile_active_client;
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp57_ = xid;
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			new_tile_active_shuffler_info_client_toggle_maximize (_tmp56_, _tmp57_, &_inner_error0_);
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				margins = (g_free (margins), NULL);
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_g_hash_table_unref0 (windata);
#line 224 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_g_object_unref0 (_tmp41_);
#line 2922 "tile_active.c"
				goto __catch0_g_error;
			}
#line 225 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			exit (0);
#line 2927 "tile_active.c"
		}
#line 228 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		yshift = 0;
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp59_ = new_tile_active_client;
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp60_ = xid;
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp62_ = new_tile_active_shuffler_info_client_get_winspecs (_tmp59_, _tmp60_, &_tmp61_, &_inner_error0_);
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp58_ = _tmp62_;
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp58__length1 = _tmp61_;
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		__tmp58__size_ = _tmp58__length1;
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			margins = (g_free (margins), NULL);
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (windata);
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_object_unref0 (_tmp41_);
#line 2953 "tile_active.c"
			goto __catch0_g_error;
		}
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp63_ = _tmp58_[0];
#line 229 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		yshift = _tmp63_;
#line 231 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp64_ = g_variant_new ("(sssiiiiss)", "", "", "", -1, -1, -1, -1, "", "", NULL);
#line 231 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		g_variant_ref_sink (_tmp64_);
#line 231 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		winsubject_data = _tmp64_;
#line 234 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp65_ = windata_keys;
#line 2968 "tile_active.c"
		{
			GList* s_collection = NULL;
			GList* s_it = NULL;
#line 234 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			s_collection = _tmp65_;
#line 234 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 2976 "tile_active.c"
				gchar* _tmp66_;
				gchar* s = NULL;
#line 234 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp66_ = g_strdup ((const gchar*) s_it->data);
#line 234 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				s = _tmp66_;
#line 2983 "tile_active.c"
				{
					gint _tmp67_;
					gchar* _tmp68_;
					gchar* _tmp69_;
					const gchar* _tmp70_;
					gboolean _tmp71_;
#line 235 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp67_ = xid;
#line 235 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp68_ = g_strdup_printf ("%i", _tmp67_);
#line 235 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp69_ = _tmp68_;
#line 235 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp70_ = s;
#line 235 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp71_ = g_strcmp0 (_tmp69_, _tmp70_) == 0;
#line 235 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_free0 (_tmp69_);
#line 235 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					if (_tmp71_) {
#line 3004 "tile_active.c"
						GHashTable* _tmp72_;
						const gchar* _tmp73_;
						gconstpointer _tmp74_;
						GVariant* _tmp75_;
#line 236 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp72_ = windata;
#line 236 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp73_ = s;
#line 236 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp74_ = g_hash_table_lookup (_tmp72_, _tmp73_);
#line 236 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp75_ = _g_variant_ref0 ((GVariant*) _tmp74_);
#line 236 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_g_variant_unref0 (winsubject_data);
#line 236 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						winsubject_data = _tmp75_;
#line 3021 "tile_active.c"
					}
#line 234 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_free0 (s);
#line 3025 "tile_active.c"
				}
			}
		}
#line 240 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp76_ = winsubject_data;
#line 240 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp77_ = g_variant_get_child_value (_tmp76_, (gsize) 2);
#line 240 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp78_ = _tmp77_;
#line 240 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp79_ = _variant_get1 (_tmp78_);
#line 240 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_free0 (monitor);
#line 240 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		monitor = _tmp79_;
#line 240 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_variant_unref0 (_tmp78_);
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp80_ = new_tile_active_client;
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp81_ = new_tile_active_shuffler_info_client_get_monitorgeometry (_tmp80_, &_inner_error0_);
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		monitordata = _tmp81_;
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_variant_unref0 (winsubject_data);
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp58_ = (g_free (_tmp58_), NULL);
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			margins = (g_free (margins), NULL);
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (windata);
#line 241 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_object_unref0 (_tmp41_);
#line 3063 "tile_active.c"
			goto __catch0_g_error;
		}
#line 242 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp83_ = set_monitor;
#line 242 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (g_strcmp0 (_tmp83_, "") != 0) {
#line 3070 "tile_active.c"
			NewTileActiveShufflerInfoClient* _tmp84_;
			const gchar* _tmp85_;
			GHashTable* _tmp86_;
#line 242 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp84_ = new_tile_active_client;
#line 242 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp85_ = set_monitor;
#line 242 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp86_ = monitordata;
#line 242 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp82_ = new_tile_active_monitor_isvalid (_tmp84_, _tmp85_, _tmp86_);
#line 3082 "tile_active.c"
		} else {
#line 242 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp82_ = FALSE;
#line 3086 "tile_active.c"
		}
#line 242 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp82_) {
#line 3090 "tile_active.c"
			const gchar* _tmp87_;
			gchar* _tmp88_;
#line 243 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp87_ = set_monitor;
#line 243 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp88_ = g_strdup (_tmp87_);
#line 243 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_free0 (monitor);
#line 243 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			monitor = _tmp88_;
#line 3101 "tile_active.c"
		}
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp89_ = new_tile_active_client;
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		guiruns = new_tile_active_shuffler_info_client_check_ifguiruns (_tmp89_, &_inner_error0_);
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (monitordata);
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_variant_unref0 (winsubject_data);
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp58_ = (g_free (_tmp58_), NULL);
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			margins = (g_free (margins), NULL);
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (windata);
#line 247 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_object_unref0 (_tmp41_);
#line 3123 "tile_active.c"
			goto __catch0_g_error;
		}
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp90_ = new_tile_active_client;
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp91_ = monitor;
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp92_ = gridcols;
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp93_ = gridrows;
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp94_ = new_tile_active_shuffler_info_client_get_tiles (_tmp90_, _tmp91_, _tmp92_, _tmp93_, &_inner_error0_);
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		tiles = _tmp94_;
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (monitordata);
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_variant_unref0 (winsubject_data);
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp58_ = (g_free (_tmp58_), NULL);
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			margins = (g_free (margins), NULL);
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (windata);
#line 250 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_object_unref0 (_tmp41_);
#line 3154 "tile_active.c"
			goto __catch0_g_error;
		}
#line 254 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp95_ = tiles;
#line 254 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp96_ = g_hash_table_lookup (_tmp95_, "tilewidth");
#line 254 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp97_ = _variant_get2 ((GVariant*) _tmp96_);
#line 254 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp98_ = xspan;
#line 254 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		target_width = _tmp97_ * _tmp98_;
#line 255 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp99_ = tiles;
#line 255 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp100_ = g_hash_table_lookup (_tmp99_, "tileheight");
#line 255 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp101_ = _variant_get3 ((GVariant*) _tmp100_);
#line 255 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp102_ = yspan;
#line 255 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		target_height = _tmp101_ * _tmp102_;
#line 257 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		tile_x = 0;
#line 258 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		tile_y = 0;
#line 259 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp103_ = tiles;
#line 259 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp104_ = g_hash_table_get_keys (_tmp103_);
#line 3185 "tile_active.c"
		{
			GList* k_collection = NULL;
			GList* k_it = NULL;
#line 259 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			k_collection = _tmp104_;
#line 259 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			for (k_it = k_collection; k_it != NULL; k_it = k_it->next) {
#line 3193 "tile_active.c"
				gchar* _tmp105_;
				gchar* k = NULL;
#line 259 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp105_ = g_strdup ((const gchar*) k_it->data);
#line 259 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				k = _tmp105_;
#line 3200 "tile_active.c"
				{
					const gchar* _tmp106_;
					const gchar* _tmp107_;
#line 260 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp106_ = k;
#line 260 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp107_ = target_tilekey;
#line 260 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					if (g_strcmp0 (_tmp106_, _tmp107_) == 0) {
#line 3210 "tile_active.c"
						GVariant* target_tile = NULL;
						GHashTable* _tmp108_;
						const gchar* _tmp109_;
						gconstpointer _tmp110_;
						GVariant* _tmp111_;
						GVariant* _tmp112_;
						GVariant* _tmp113_;
						GVariant* _tmp114_;
						gint _tmp115_;
						GVariant* _tmp116_;
						GVariant* _tmp117_;
						GVariant* _tmp118_;
						gint _tmp119_;
#line 261 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp108_ = tiles;
#line 261 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp109_ = k;
#line 261 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp110_ = g_hash_table_lookup (_tmp108_, _tmp109_);
#line 261 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp111_ = _g_variant_ref0 ((GVariant*) _tmp110_);
#line 261 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						target_tile = _tmp111_;
#line 262 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp112_ = target_tile;
#line 262 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp113_ = g_variant_get_child_value (_tmp112_, (gsize) 0);
#line 262 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp114_ = _tmp113_;
#line 262 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp115_ = _variant_get4 (_tmp114_);
#line 262 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						tile_x = _tmp115_;
#line 262 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_g_variant_unref0 (_tmp114_);
#line 263 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp116_ = target_tile;
#line 263 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp117_ = g_variant_get_child_value (_tmp116_, (gsize) 1);
#line 263 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp118_ = _tmp117_;
#line 263 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_tmp119_ = _variant_get5 (_tmp118_);
#line 263 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						tile_y = _tmp119_;
#line 263 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_g_variant_unref0 (_tmp118_);
#line 260 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
						_g_variant_unref0 (target_tile);
#line 3260 "tile_active.c"
					}
#line 259 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_free0 (k);
#line 3264 "tile_active.c"
				}
			}
#line 259 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			(k_collection == NULL) ? NULL : (k_collection = (g_list_free (k_collection), NULL));
#line 3269 "tile_active.c"
		}
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp120_ = tile_x;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp121_ = tile_y;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp122_ = target_width;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp123_ = target_height;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp124_ = g_new0 (gint, 4);
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp124_[0] = _tmp120_;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp124_[1] = _tmp121_;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp124_[2] = _tmp122_;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp124_[3] = _tmp123_;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		tilepos_data = _tmp124_;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		tilepos_data_length1 = 4;
#line 266 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tilepos_data_size_ = tilepos_data_length1;
#line 268 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp125_ = g_new0 (gint, 0);
#line 268 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		winpos_data = _tmp125_;
#line 268 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		winpos_data_length1 = 0;
#line 268 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_winpos_data_size_ = winpos_data_length1;
#line 269 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp126_ = g_new0 (gint, 4);
#line 269 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp126_[0] = 3;
#line 269 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp126_[1] = 4;
#line 269 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp126_[2] = 5;
#line 269 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp126_[3] = 6;
#line 269 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		pos_indices = _tmp126_;
#line 269 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		pos_indices_length1 = 4;
#line 269 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_pos_indices_size_ = pos_indices_length1;
#line 270 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp127_ = pos_indices;
#line 270 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp127__length1 = pos_indices_length1;
#line 3323 "tile_active.c"
		{
			gint* i_collection = NULL;
			gint i_collection_length1 = 0;
			gint _i_collection_size_ = 0;
			gint i_it = 0;
#line 270 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			i_collection = _tmp127_;
#line 270 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			i_collection_length1 = _tmp127__length1;
#line 270 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			for (i_it = 0; i_it < i_collection_length1; i_it = i_it + 1) {
#line 3335 "tile_active.c"
				gint i = 0;
#line 270 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				i = i_collection[i_it];
#line 3339 "tile_active.c"
				{
					gint* _tmp128_;
					gint _tmp128__length1;
					GVariant* _tmp129_;
					gint _tmp130_;
					GVariant* _tmp131_;
					GVariant* _tmp132_;
					gint _tmp133_;
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp128_ = winpos_data;
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp128__length1 = winpos_data_length1;
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp129_ = winsubject_data;
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp130_ = i;
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp131_ = g_variant_get_child_value (_tmp129_, (gsize) _tmp130_);
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp132_ = _tmp131_;
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp133_ = _variant_get6 (_tmp132_);
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_vala_array_add2 (&winpos_data, &winpos_data_length1, &_winpos_data_size_, _tmp133_);
#line 271 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_variant_unref0 (_tmp132_);
#line 3366 "tile_active.c"
				}
			}
		}
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp134_ = winpos_data;
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp134__length1 = winpos_data_length1;
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp135_ = tilepos_data;
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp135__length1 = tilepos_data_length1;
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp136_ = margins;
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp136__length1 = margins_length1;
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp138_ = new_tile_active_check_position_isequal (_tmp134_, _tmp134__length1, _tmp135_, _tmp135__length1, _tmp136_, _tmp136__length1, &_tmp137_);
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		checked_equal = _tmp138_;
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		checked_equal_length1 = _tmp137_;
#line 273 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_checked_equal_size_ = checked_equal_length1;
#line 274 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp139_ = checked_equal;
#line 274 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp139__length1 = checked_equal_length1;
#line 3394 "tile_active.c"
		{
			gboolean* test_collection = NULL;
			gint test_collection_length1 = 0;
			gint _test_collection_size_ = 0;
			gint test_it = 0;
#line 274 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			test_collection = _tmp139_;
#line 274 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			test_collection_length1 = _tmp139__length1;
#line 274 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			for (test_it = 0; test_it < test_collection_length1; test_it = test_it + 1) {
#line 3406 "tile_active.c"
				gboolean test = FALSE;
#line 274 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				test = test_collection[test_it];
#line 3410 "tile_active.c"
				{
				}
			}
		}
#line 276 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		nosoftmove_forpositionarg = FALSE;
#line 277 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		norun_forpositionarg = FALSE;
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp141_ = checked_equal;
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp141__length1 = checked_equal_length1;
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp142_ = _tmp141_[0];
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp142_ == TRUE) {
#line 3427 "tile_active.c"
			gboolean* _tmp143_;
			gint _tmp143__length1;
			gboolean _tmp144_;
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp143_ = checked_equal;
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp143__length1 = checked_equal_length1;
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp144_ = _tmp143_[1];
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp140_ = _tmp144_ == FALSE;
#line 3439 "tile_active.c"
		} else {
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp140_ = FALSE;
#line 3443 "tile_active.c"
		}
#line 280 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp140_) {
#line 281 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			nosoftmove_forpositionarg = TRUE;
#line 3449 "tile_active.c"
		} else {
			gboolean _tmp145_ = FALSE;
			gboolean* _tmp146_;
			gint _tmp146__length1;
			gboolean _tmp147_;
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp146_ = checked_equal;
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp146__length1 = checked_equal_length1;
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp147_ = _tmp146_[0];
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			if (_tmp147_ == TRUE) {
#line 3463 "tile_active.c"
				gboolean* _tmp148_;
				gint _tmp148__length1;
				gboolean _tmp149_;
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp148_ = checked_equal;
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp148__length1 = checked_equal_length1;
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp149_ = _tmp148_[1];
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp145_ = _tmp149_ == TRUE;
#line 3475 "tile_active.c"
			} else {
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp145_ = FALSE;
#line 3479 "tile_active.c"
			}
#line 283 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			if (_tmp145_) {
#line 284 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				norun_forpositionarg = TRUE;
#line 3485 "tile_active.c"
			}
		}
#line 287 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		use_softmove = TRUE;
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp150_ = new_tile_active_client;
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		global_animation = new_tile_active_shuffler_info_client_get_softmove (_tmp150_, &_inner_error0_);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			checked_equal = (g_free (checked_equal), NULL);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			pos_indices = (g_free (pos_indices), NULL);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			winpos_data = (g_free (winpos_data), NULL);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			tilepos_data = (g_free (tilepos_data), NULL);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (tiles);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (monitordata);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_variant_unref0 (winsubject_data);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp58_ = (g_free (_tmp58_), NULL);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			margins = (g_free (margins), NULL);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_hash_table_unref0 (windata);
#line 288 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_g_object_unref0 (_tmp41_);
#line 3520 "tile_active.c"
			goto __catch0_g_error;
		}
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp153_ = global_animation;
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (!_tmp153_) {
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp152_ = TRUE;
#line 3529 "tile_active.c"
		} else {
			gboolean _tmp154_;
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp154_ = set_nosoftmove;
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp152_ = _tmp154_;
#line 3536 "tile_active.c"
		}
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp152_) {
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp151_ = TRUE;
#line 3542 "tile_active.c"
		} else {
			gboolean _tmp155_;
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp155_ = nosoftmove_forpositionarg;
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp151_ = _tmp155_;
#line 3549 "tile_active.c"
		}
#line 289 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp151_) {
#line 290 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			use_softmove = FALSE;
#line 3555 "tile_active.c"
		}
#line 298 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		run = TRUE;
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp158_ = guiruns;
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp158_) {
#line 3563 "tile_active.c"
			gboolean _tmp159_;
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp159_ = call_fromgrid;
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp157_ = !_tmp159_;
#line 3569 "tile_active.c"
		} else {
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp157_ = FALSE;
#line 3573 "tile_active.c"
		}
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp157_) {
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp156_ = TRUE;
#line 3579 "tile_active.c"
		} else {
			gboolean _tmp160_;
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp160_ = norun_forpositionarg;
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp156_ = _tmp160_;
#line 3586 "tile_active.c"
		}
#line 299 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp156_) {
#line 300 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			run = FALSE;
#line 3592 "tile_active.c"
		}
#line 303 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp161_ = run;
#line 303 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		if (_tmp161_) {
#line 3598 "tile_active.c"
			gboolean _tmp162_;
#line 304 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			_tmp162_ = use_softmove;
#line 304 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
			if (_tmp162_) {
#line 3604 "tile_active.c"
				NewTileActiveShufflerInfoClient* _tmp163_;
				gint _tmp164_;
				gint _tmp165_;
				gint _tmp166_;
				gint _tmp167_;
				gint _tmp168_;
				gint _tmp169_;
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp163_ = new_tile_active_client;
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp164_ = xid;
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp165_ = tile_x;
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp166_ = tile_y;
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp167_ = yshift;
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp168_ = target_width;
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp169_ = target_height;
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				new_tile_active_shuffler_info_client_move_window_animated (_tmp163_, _tmp164_, _tmp165_, _tmp166_ - _tmp167_, _tmp168_, _tmp169_, &_inner_error0_);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					checked_equal = (g_free (checked_equal), NULL);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					pos_indices = (g_free (pos_indices), NULL);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					winpos_data = (g_free (winpos_data), NULL);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					tilepos_data = (g_free (tilepos_data), NULL);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_hash_table_unref0 (tiles);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_hash_table_unref0 (monitordata);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_variant_unref0 (winsubject_data);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp58_ = (g_free (_tmp58_), NULL);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					margins = (g_free (margins), NULL);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_hash_table_unref0 (windata);
#line 305 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_object_unref0 (_tmp41_);
#line 3654 "tile_active.c"
					goto __catch0_g_error;
				}
			} else {
				NewTileActiveShufflerInfoClient* _tmp170_;
				gint _tmp171_;
				gint _tmp172_;
				gint _tmp173_;
				gint _tmp174_;
				gint _tmp175_;
				gint _tmp176_;
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp170_ = new_tile_active_client;
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp171_ = xid;
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp172_ = tile_x;
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp173_ = tile_y;
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp174_ = yshift;
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp175_ = target_width;
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				_tmp176_ = target_height;
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				new_tile_active_shuffler_info_client_move_window (_tmp170_, _tmp171_, _tmp172_, _tmp173_ - _tmp174_, _tmp175_, _tmp176_, FALSE, &_inner_error0_);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					checked_equal = (g_free (checked_equal), NULL);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					pos_indices = (g_free (pos_indices), NULL);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					winpos_data = (g_free (winpos_data), NULL);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					tilepos_data = (g_free (tilepos_data), NULL);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_hash_table_unref0 (tiles);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_hash_table_unref0 (monitordata);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_variant_unref0 (winsubject_data);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_tmp58_ = (g_free (_tmp58_), NULL);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					margins = (g_free (margins), NULL);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_hash_table_unref0 (windata);
#line 311 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
					_g_object_unref0 (_tmp41_);
#line 3707 "tile_active.c"
					goto __catch0_g_error;
				}
			}
		}
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		checked_equal = (g_free (checked_equal), NULL);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		pos_indices = (g_free (pos_indices), NULL);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		winpos_data = (g_free (winpos_data), NULL);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		tilepos_data = (g_free (tilepos_data), NULL);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_hash_table_unref0 (tiles);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_hash_table_unref0 (monitordata);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_variant_unref0 (winsubject_data);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp58_ = (g_free (_tmp58_), NULL);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		margins = (g_free (margins), NULL);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		(windata_keys == NULL) ? NULL : (windata_keys = (g_list_free (windata_keys), NULL));
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_hash_table_unref0 (windata);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_object_unref0 (_tmp41_);
#line 3736 "tile_active.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		FILE* _tmp177_;
		GError* _tmp178_;
		const gchar* _tmp179_;
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		e = _inner_error0_;
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_inner_error0_ = NULL;
#line 320 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp177_ = stderr;
#line 320 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp178_ = e;
#line 320 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_tmp179_ = _tmp178_->message;
#line 320 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		fprintf (_tmp177_, "%s\n", _tmp179_);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_error_free0 (e);
#line 3759 "tile_active.c"
	}
	__finally0:
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_free0 (target_tilekey);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_free0 (set_monitor);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		_g_free0 (monitor);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		g_clear_error (&_inner_error0_);
#line 208 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
		return;
#line 3776 "tile_active.c"
	}
#line 125 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_g_free0 (target_tilekey);
#line 125 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_g_free0 (set_monitor);
#line 125 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	_g_free0 (monitor);
#line 3784 "tile_active.c"
}


int
main (int argc,
      char ** argv)
{
#line 125 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	new_tile_active_main (argv, argc);
#line 125 "/builddir/build/BUILD/budgie-extras-1.2.0/budgie-window-shuffler/src/tile_active.vala"
	return 0;
#line 3796 "tile_active.c"
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



